2003-11-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in, NEWS: Bump version to 1.7.9.

	* configure.in: AC_PREREQ(2.58).  Automake 1.7.8 was configured
	with Autoconf 2.57f and a bug prevented installations with pdksh.

	* automake.texi (Optional) <AC_SUBST>: Grammar fixes.

2003-10-24  Didier Cassirame  <faded@free.fr>  (tiny change)

	* lib/ylwrap: Typo in regex.

2003-10-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/install.am (install-strip): Override install_sh_PROGRAM
	too.
	Report from Elmar Hoffmann.

2003-10-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.8a.

	* configure.in, NEWS: Bump version to 1.7.8.

2003-10-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_ltlibraries): Fix definition of $ldflags.
	* tests/stdlib2.test: Check AM_LDFLAGS alone.

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

	* automake.in (handle_ltlibraries): Also grep AM_LDFLAGS for `-module'.
	* tests/stdlib2.test: New file.
	* tests/Makefile.am (TESTS): Add stdlib2.test.
	Report from Kevin P. Fleming.

2003-10-03  Richard Dawe  <rich@phekda.freeserve.co.uk>  (tiny change)

	* tests/defs.in: For required=runtest, check that we are using
	a DejaGnu that supports specifying the program on the command-line.

2003-10-03  Alexandre Duret-Lutz  <adl@gnu.org>

	For Debian Bug #213524:
	* lib/am/texinfos.am (install-info-am, uninstall-info-am): Merge
	stderr and stdout, and grep only the first line while testing
	install-info --version's output.  This revert part of the change
	from 2001-05-18.

2003-09-26  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (file_contents_internal): Do not add newlines before
	empty actions.
	Report from Bruno Haible.

2003-09-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.7a.

	* configure.in, NEWS: Bump version to 1.7.7.

2003-09-05  Paul Eggert  <eggert@twinsun.com>

	* NEWS, aclocal.in, automake.in, automake.texi,
	lib/Automake/Channels.pm, lib/am/dejagnu.am, lib/am/depend.am,
	lib/am/lisp.am, lib/am/remake-hdr.am, lib/am/texi-vers.am,
	lib/ansi2knr.c, lib/depcomp, lib/missing, lib/py-compile,
	m4/obsolete.m4, m4/python.m4, tests/backsl4.test,
	tests/cond12.test, tests/defs.in, tests/dejagnu7.test,
	tests/depacl2.test, tests/dirlist.test, tests/error.test,
	tests/getopt.test, tests/gnuwarn.test, tests/include2.test,
	tests/libobj10.test, tests/libtool5.test, tests/libtool6.test,
	tests/lisp3.test, tests/phony.test, tests/pr220.test,
	tests/subcond2.test, tests/subcond3.test, tests/vtexi.test:
	Spelling and minor grammar fixes.

2003-09-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.6c.

	* configure.in, NEWS: Bump version to 1.7.6b.

2003-09-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/config.sub, lib/config.guess, lib/texinfo.tex,
	lib/config-ml.in, lib/symlink-tree: New upstream versions.

2003-08-31  Thien-Thi Nguyen  <ttn@gnu.org>  (tiny change)

	* tests/yacc7.test: Require bison.

2003-08-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Extending aclocal): Merge changes from HEAD, to
	explain that aclocal 1.8 will warn about underquoted AC_DEFUN.

2003-08-25  Alexandre Duret-Lutz  <adl@gnu.org>

	For Debian Bug #206299:
	* automake.in (parse_arguments): Ignore --no-force.
	* automake.texi (Invoking Automake): Document this.
	* tests/distcom6.test: New file.  Report from Scott James Remnant.
	* tests/Makefile.am (TESTS): Add distcom6.test.

2003-08-13  Alexandre Duret-Lutz  <adl@gnu.org>

	Fix for PR automake/399:
	* m4/python.m4: Use AC_PATH_PROGS, not AC_PATH_PROG.
	Report from Per Cederqvist.

2003-08-10  Jim Meyering  <jim@meyering.net>

	* lib/depcomp: Adjust comment to match code.
	* lib/mkinstalldirs: Revert yesterday's change; reasons here:
	http://mail.gnu.org/archive/html/automake-patches/2003-08/msg00042.html

2003-08-10  Alexandre Duret-Lutz  <adl@gnu.org>

	Revert the fix for PR automake/291:
	* automake.in (macro_define): Do not warn about variables
	starting with `_' which are an issue on NEWS-OS 4.2R.  According
	to Paul Eggert, NEWS-OS 4.2R is ten years old, the latest version
	was released on 1996 and is not in wide use.  On the other hand,
	variables starting with `_' are mandatory in several situations,
	so diagnosing them is more annoying than useful.
	* tests/canon5.test: Do not use -Wno-portability.
	* tests/vars2.test: Delete.
	* tests/Makefile.am (TESTS): Remove vars2.test.
	Suggested by Jim Meyering.

2003-08-09  Jim Meyering  <jim@meyering.net>

	* lib/mkinstalldirs: Remove each sequence of spaces before a
	TAB character.
	* lib/depcomp: Search for TAB-SPC, not SPC-TAB.

2003-08-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/ltcond.test: Thinko.

2003-08-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/ltconv.test: s/rm/rm -f/ to placate maintainer-check.

	* automake.in (handle_texinfo_helper): Use the user definition
	of TEXINFO_TEX before checking for cygnus or AC_CONFIG_AUX_DIR.
	* tests/txinfo22.test: New file.
	* tests/Makefile.am (TESTS): Add txinfo22.test.
	Report from Tom Tromey.

2003-07-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny change)

	* lib/depcomp (aix): Support AIX Compiler version 6.

2003-07-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (A Shared Library): Rewrite and split into
	subsections.  Valuable comments from Norman Gray, Harlan Stenn,
	Tim Van Holder, and Guido Draheim.
	* tests/ltcond.test, tests/ltcond2.test, tests/ltconv.test: New files.
	* tests/Makefile.am (TESTS): Add them.

2003-07-30  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_single_transform_list): Complain about
	foo.$(OBJEXT) being created both with libtool and without, not
	about foo.lo.
	Report from Tim Van Holder.

2003-07-29  Alexandre Duret-Lutz  <adl@gnu.org>

	* Makefile.am (FETCHFILES, fetch): Add config-ml.in and
	symlink-tree.
	* lib/config.sub, lib/config-ml.in, lib/texinfo.tex: New
	upstream versions.

2003-07-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/remake4.test: Use `$MAKE distdir' instead of `$MAKE dist' to
	avoid the use of tar.

2003-07-24  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/gnuwarn2.test: Typo.

	* tests/insthook.test: Use $MAKE, not make.

	Fix missing rebuilds during `make dist' with BSD make.
	* automake.in (generate_makefile): Do not push Makefile.in, and
	Makefile.am into DIST_COMMON here.
	* lib/am/configure.am (DIST_COMMON): Do it here, and use
	%MAKEFILE-AM% and %MAKEFILE-IN% so that items in DIST_COMMON
	actually match the targets.   Prefix `configure' with `$(srcdir)/'
	to match the target.
	* tests/remake4.test: New file.
	* tests/Makefile.am (TESTS): Add remake4.test.
	Report from Akim Demaille.

2003-07-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_multilib): Register all-multi.
	(file_contents_internal): Insert \n when concatenating actions
	from "factored" rules.
	* lib/config-ml.in: New file, from GCC, including a patch
	from Ralf Corsepius (see GCC's PR 11526).
	* lib/symlink-tree.in: New file, from GCC.
	* lib/Makefile.am (dist_script_DATA): Add config-ml.in and
	symlink-tree.
	* lib/am/clean.am (distclean-generic): Do not delete Makefile here...
	(distclean, maintainer-clean): ... do it here.
	* lib/am/depend.am (distclean-depend): Likewise, replace by
	(distclean, maintainer-clean): ... these.
	* lib/am/multilib.am (all-recursive, install-recursive,
	mostlyclean-recursive, clean-recursive, distclean-recursive,
	maintainer-clean-recursive): Remove these rules.
	(mostlyclean-am, clean-am, distclean-am, maintainer-clean-am): Replace
	by ...
	(mostlyclean, clean, distclean, maintainer-clean): ... these.
	(all-am): Remove, done in handle_multilib.
	(install-am): Replace by ...
	(install-exec-am): ... this.
	* tests/Makefile.am (TESTS): Add multlib.test.
	* tests/multlib.test: New file, based on a test case by
	Ralf Corsepius

2003-07-23  Tom Tromey  <tromey@redhat.com>

	* lib/missing (autom4te): Typo.

2003-07-15  Ralf Corsepius <corsepiu@faw.uni-ulm.de>  (tiny change)

	* automake.in (scan_autoconf_traces): Trace AM_ENABLE_MULTILIB to
	render $seen_multilib functional again.

2003-07-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.6a.

	* configure.in, NEWS: Bump version to 1.7.6.

	* automake.in (macro_define): Make clear the diagnostic about
	variable names starting with `_' is about *Make* variables.

	For Debian Bug #193907:
	* automake.texi (Clean): make maintainer-clean should still
	allow ./configure && make to run.

	* automake.texi (CVS): Typo.

2003-07-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump vesion to 1.7.5c.

	* configure.ac: Bump vesion to 1.7.5b.
	* NEWS: Update for 1.7.5b.

	* lib/config.guess, lib/config.sub: New upstream version.

2003-07-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Optional, Dist): AC_CONFIG_AUX_DIR files
	are automatically distributed.

	* tests/stamph.test, tests/package.test: Delete.
	* tests/Makefile.am (TESTS): Remove them, and do not list
	aclocal.test and aclocal2.test twice.

	* lib/depcomp (icc): Update to grok ICC 7.1's output.
	* m4/depend.m4 (_AM_DEPENDENCIES): Check dependency generation
	in a subdirectory, and with many dependencies.  This
	catches more failures of depcomp.
	Reports from Ralf Wildenhues and Akim Demaille.

2003-07-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (scan_autoconf_traces): Check the expected
	number of arguments of each traced macro.
	* tests/conff2.test: New files.
	* tests/Makefile.am (TESTS): Add conff2.test.
	Report from Paolo Bonzini.

2003-06-27  Ralf Corsepius  <corsepiu@faw.uni-ulm.de>  (tiny change)

	* lib/am/configure.am (maintainer-clean): Remove
	$(top_srcdir)/autom4te.cache, not autom4te.cache.

2003-06-15  Jens Elkner  <elkner@imsgroup.de>  (tiny change)

	* m4/lispdir.m4 (AM_PATH_LISPDIR): Fix sed commands to work with
	POSIXLY_CORRECT=1.

2003-06-13  Paul Eggert  <eggert@twinsun.com>

	* lib/install-sh (dsttmp, rmtmp): Do not use '#' in file names;
	it's not guaranteed by POSIX and it doesn't work on OpenVMS.
	Bug reported by Bernard Giroud in:
	http://mail.gnu.org/archive/html/autoconf-patches/2003-06/msg00013.html

2003-06-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (check_gnu_standards): Use no-installman and
	no-installinfo's locations.
	(process_option_list): Fill %options with locations.
	(check_cygnus) Fill $options{'no-installinfo'} and
	$options{'no-dependencies'} with $cygnus_mode, so that it
	remains a Location.
	* tests/gnuwarn2.test: New file.
	* tests/Makefile.am (TESTS): Add gnuwarn2.test.

2003-06-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (process_option_list): Record the location
	of ansi2knr's definition.
	(handle_compile): Use it.
	* tests/ansi3.test: Make sure the location appears correctly.
	Update to use set -e.
	* tests/ansi3b.test: New file.
	* tests/Makefile.am (TESTS): Add ansi3b.test.

	* tests/alpha.test: Really run $MAKE.  Augment to test
	subdirectories, and check-news report.
	* tests/alpha2.test: New file.  Bug report from Akim Demaille.
	* tests/gnits2.test: Make sure README-alpha is not distributed.
	* tests/Makefile.am (TESTS): Add alpha2.test.
	* automake.in (handle_minor_options): Distribute README-alpha
	using push_dist_common, not require_file_with_macro.

2003-05-25  Christian Cornelssen  <ccorn@cs.tu-berlin.de>  (tiny change)

	* tests/dejagnu7.test: Check if runtest supports --status.

2003-05-22  Karl Berry  <karl@gnu.org>

	* automake.texi: Update @dircategory to match the Free Software
	Directory.  End directory entries with dots.

2003-05-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (maintainer-mode): s/François/Fran@,{c}ois/.
	* lib/elisp-comp: s/François/Franc,ois/.
	Suggested by Paul Eggert.

2003-05-18  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.5a.

	* configure.in: Bump version to 1.7.5.
	* NEWS: Update for release.
	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

2003-05-17  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi: Fix some typos.

	* lib/am/install.am (install, install-exec, install-data, uninstall):
	Declare conditionally using a if/else/endif block instead of
	using ?SUBDIRS?-style conditions.  The latter fail when
	%maybe_BUILT_SOURCES% is replaced by several lines.
	This fixes a bug introduced on 2003-04-06.
	* tests/bsource.test: New file.
	* tests/Makefile.am (TESTS): Add bsource.test.
	Reported by Bruno Haible.

2003-05-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (renamed objects): New node.
	(Program and Library Variables): Move maude_DEPENDENCIES closer
	to maude_LDADD.  Define and use `per-target compilation flags' in the
	explanation for maude_CFLAGS et al.  Link to the `renamed objects'
	node.  Illustrate maude_SHORTNAME.

2003-05-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/install-sh: Update copyright notice and license to that of
	X11R6.  This removes an advertising clause reported as Debian bug
	#191717.

2003-05-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/make.m4: Rename the doit target as am__doit,
	and make it phony.
	Reported by Philip S Tellis.

2003-04-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Requirements): Typo in index
	s/AC_CONFIG_FILE/AC_CONFIG_FILES/.

	* configure.in: Bump version to 1.7.4a.

	* configure.in, NEWS: Bump version to 1.7.4.

	* lib/texinfo.tex: New upstream version.

2003-04-19  Alexandre Duret-Lutz  <adl@gnu.org>

	Fix for PR automake/389:
	* automake.in (handle_configure): Don't put $colon_infile in
	CONFIG-MAKEFILE.
	* tests/conff.test: New file.
	* tests/Makefile.am (TESTS): Add conff.test.
	Reported by Alexander Turbov.

2003-04-18  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.3c.

	* tests/defs.in: Handle required=etags to work around
	Exuberant Ctags.

	* configure.in: Bump version to 1.7.3b.

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

	* tests/dejagnu3.test, tests/dejagnu4.test, tests/dejagnu5.test:
	Distribute dejagnu test cases, so that distcheck actually runs them.

2003-04-18  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* lib/am/dejagnu.am (site.exp): Don't define tool in site.exp,
	because we set that by invoking runtest with --tool.
	* tests/Makefile.am (TESTS): Add dejagnu4.test, dejagnu5.test,
	dejagnu6.test, dejagnu7.test.
	* tests/dejagnu4.test: New test.
	* tests/dejagnu5.test: New test.
	* tests/dejagnu6.test: New test.
	* tests/dejagnu7.test: New test.

	* tests/dejagnu3.test: Make sure the DejaGnu test is actually run.

2003-04-18  Jim Meyering  <jim@meyering.net>

	* automake.in (variable_output): Fix typo in comment s/is/if/.

2003-04-17  Jim Meyering  <jim@meyering.net>

	* lib/am/yacc.am (?GENERIC?%EXT%%DERIVED-EXT% aka .y.c): Don't redirect
	directly to $@.  Instead, redirect to $@t and rename upon success.
	Also, move the commands that update $@ so they are last.  Otherwise,
	this rule could leave the user with an up to date target (.c file)
	but with a missing or corrupted corresponding .h file.
	Add (C) and `2002' to Copyright line, at Alexandre's request.

2003-04-17  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* tests/defs.in: Handle required=runtest, to detect runtest
	from DejaGnu.
	* tests/Makefile.am (TESTS): Add dejagnu3.test.
	* tests/dejagnu3.test: New test.

2003-04-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/distdir.am (distuninstallcheck, distcleancheck): Silence
	these rules, so that we don't confuse users by echoing
	"echo ERROR:..." commands which are not run.

2003-04-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (scan_autoconf_files): Augment the error message
	about AM_INIT_AUTOMAKE not found.
	Suggested by Bruno Haible.

2003-04-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* NEWS: Summarize recent fixes.

2003-04-10  Eric Siegerman  <eric_97@pobox.com>  (tiny change)

	* automake.texi (Public macros): Clarify that the new
	AM_INIT_AUTOMAKE variant is preferred, and the old one
	deprecated.  Copy-edit the rest of the AM_INIT_AUTOMAKE item.
	(Hello): Caution that the example uses the deprecated
	AC_INIT/AM_INIT_AUTOMAKE syntax, and xref to the discussion.

2003-04-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_installdirs): Rename as ...
	(handle_install): ... this.  Define maybe_BUILT_SOURCES.
	(generate_makefile): Adjust call to handle_install.
	* lib/am/install.am (install): Use %maybe_BUILT_SOURCES%.
	* automake.texi (Sources, Built sources example): BUILT_SOURCES
	is honored by `make install' too.
	* tests/check3.test: Make sure that `make install' also depends
	upon BUILT_SOURCES.
	Report from Alexander Turbov.

2003-04-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (check_trailing_slash): New function (variation on
	a patch by Peter Muir).  Diagnose whitespaces following trailing
	backslash.
	(read_am_file): Use it.
	* tests/backsl4.test: New file.
	* tests/Makefile.am (TESTS): Add backsl4.test.
	Reported by Peter Muir.

2003-03-29  Raja R Harinath  <harinath@cs.umn.edu>

	* tests/yacc8.test: Add a $sleep before modifying Makefile.am so
        that timestamp will change.

2003-03-23  Akim Demaille  <akim@epita.fr>
	    Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/tags.am (TAGS): Use --etags-include instead of --include,
	when supported by etags (Exuberant Ctags).
	* tests/tagsub.test: Rewrite to _run_ the `tags' rule.

2003-03-20  Alexandre Duret-Lutz  <adl@gnu.org>

	For Debian Bug #185388:
	* automake.texi (Extending): Augment the install-exec-hook
	discussion with an example how to symlink a versioned binary.
	* tests/insthook.test: Rewrite to test the above example.
	Report from James R. Van Zandt.

2003-03-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/aclocal4.test: Require GNU make.

2003-03-14  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/aclocal4.test: New file.  Test for the ACLOCAL_M4 bug below.
	* tests/Makefile.am (TESTS): Add aclocal4.test.

2003-03-14  Jim Meyering  <jim@meyering.net>

	* automake.in (scan_aclocal_m4): Define ACLOCAL_M4 even in
	subdirectories.  Makefile.in depends on that variable.

2003-03-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/init.m4: Remove a leftover comment from the pre-1.7 era.

	Fix for PR automake/386:
	* tests/ansi10.test: Require Autoconf 2.55.  Skip the test otherwise.
	Reported by Owen Taylor.

	* lib/am/depend2.am (?GENERIC?%EXT%.o, ?GENERIC?%EXT%.obj)
	(?GENERIC?%EXT%.lo): Use `mv -f' instead of `mv' in FASTDEP mode.
	Suggested by Matthias Andree.

	* tests/README: Typo.

2003-03-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Requirements) <AC_CONFIG_FILES>: Files listed
	with AC_CONFIG_FILES are cleaned by `make distclean'.  Don't
	pretend otherwise.
	Reported by Rafael Laboissiere.

2003-03-04  Andreas Buening  <andreas.buening@nexgo.de>

	* lib/mdate-sh: Find out which column of the ls -l output contains
	the month. Do not assume it is at least the fifth column.

2003-02-26  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Emacs Lisp): Mention that `dist_' can be used.

	* automake.in (handle_emacs_lisp): Don't build *.elc files
	if ELCFILES was set empty.
	* tests/lisp4.test: New file.
	* tests/Makefile.am (TESTS): Add lisp4.test.
	Reported by Simon Josefsson.

	* tests/lex3.test, tests/lex5.test: Require flex.
	Reported by Leo Davis.

2003-02-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (read_am_file): Catch trailing backslashes on last line.
	* tests/backsl3.test: New file.
	* tests/Makefile.am (TESTS): Add backsl3.test.
	Reported by Akim Demaille.

2003-02-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (FAQ, CVS, maintainer-mode, wildcards)
	(distcleancheck): Fix typos and other errors reported by Karl
	Berry.

2003-02-20  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.3a.

	* configure.in, NEWS: Bump version to 1.7.3.

	* lib/am/texibuild.am (%SOURCE_SUFFIX%%DEST_SUFFIX%): Use $(...)
	instead of ${...}.

	* tests/defs.in: Handle required=ro-dir.
	* tests/destdir.test: Use this.

2003-02-19  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* lib/am/distdir.am (distcheck): Strip any leading DOS drive
	from dc_install_base.

2003-02-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/am/texinfos.am (install-info-am, uninstall-info-am): Install
	DJGPP-style *.iNN info files.
	(maintainer-clean-aminfo): Rewrite using the same pattern
	as in uninstall-info-am.
	* lib/am/texibuild.am (%SOURCE_SUFFIX%%DEST_SUFFIX%): Erase
	DJGPP-style *.iNN info files before running $(MAKEINFO).
	* tests/txinfo19.test: New file.
	* tests/Makefile.am (TESTS): Add txinfo19.test.

2003-02-18  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* lib/depcomp (dashmstdout): Cope with DOS filenames in
	dependencies.

2003-02-17  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/depcomp (makedepend): Don't pass $object to makedepend.
	Reported by Stepan Kasal.

2003-02-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.2c.

	* tests/defs.in: Handle required=makedepend.

	* configure.in, NEWS: Bump version to 1.7.2b.

	* Makefile.am (maintainer-check): Update the diff check
	to account for the recent @SHELL@ substitution.

2003-02-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/depcomp: Do not put comments on the `icc)' line.

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

	Fix for PR automake/381:
	* automake.in (handle_gettext): Do not print diagnostics
	about po/ and intl/ missing from SUBDIRS if po/ does not
	exist.  Warn if `SUBDIRS = intl' is used although libintl
	is 'external'.
	* tests/gettext.test: Make sure diagnostics are not output
	when po/ does not exist.
	* tests/gettext2.test: Test for unwanted intl/.
	PR from Alexander Turbov, fix suggested by Bruno Haible.

	* m4/depend.m4: Grep depcomp's stderr for icc warnings about
	ignored options.
	* lib/depcomp (icc): New mode.
	* tests/depcomp5.test: New file.
	* tests/defs.in: Handle required=icc.
	* tests/Makefile.am (TESTS): Add it.

	Temporary hack for PR automake/381:
	* automake.in (handle_gettext): Turn missing po/ and intl/ errors
	into -Wsyntax warnings.

2003-02-10  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* Makefile.am: Substitute @SHELL@ in automake.in and aclocal.in.
	This makes the setting of SHELL work for DJGPP.

2003-02-10  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/385:
	* lib/depcomp (makedepend): Strip any libtool call, before
	running makedepends.
	* tests/depcomp4.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	Reported by Jeff Squyres.

	Related to PR automake/385:
	* lib/depcomp (dashmstdout): Do not use `-o /dev/null', or gcc will
	write dependencies to /dev/null.  `-o /dev/null' was added
	on 2002-06-13 just because I tried to replace `-o foo.o' by something
	else and didn't thought about removing it entirely.
	* tests/depcomp3.test: New file.
	* tests/Makefile.am (TESTS): Add it.

	* automake.in (BEGIN): Override $ENV{'SHELL'} with ./configure's
	SHELL for DJGPP.
	Suggested by Richard Dawe.

2003-02-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* NEWS: Summarize recent changes.

	* automake.texi (FAQ, CVS, maintainer-mode, wildcards)
	(distcleancheck): New nodes.

2003-02-06  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (scan_autoconf_files): Don't complain that
	AM_INIT_AUTOMAKE comes from an old version if it was not found.

2003-02-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/init.m4 (_AC_AM_CONFIG_HEADER_HOOK): Recompute
	indexes of header files so we create stamp files with
	the right numbers when config.status is run on some headers.
	* tests/stamph2.test: Check for this.
	Reported by Sander Niemeijer.

2003-02-02  Jeremy Nimmer  <jwnimmer@alum.mit.edu>  (tiny change)

	For Debian Bug #39542:
	* automake.texi (Invoking Automake, Optional): Document how
	AC_CONFIG_AUX_DIR interacts with missing files.

2003-01-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Program and Library Variables): Clarify that
	_LIBADD is for libraries and _LDADD for programs.

2003-01-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Python): Explain that directory variables start
	with either ${prefix} or ${exec_prefix}, and point to the
	`Installation Directory Variables' section of the Autoconf manual.

2003-01-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Dist): Reorder the dist-hook section, and
	move the DIST_SUBDIRS paragraph earlier.

2003-01-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/README: New file.

	* automake.texi (Conditional Programs): Show a sample Makefile.am.
	Remind $(EXEEXT) must be appended to configure substitutions.
	Show how Automake conditionals can be used instead.
	* tests/exeext.test (check_PROGRAMS): Make sure EXEEXT is also
	appended to conditionally defined programs.

2003-01-16  Alexandre Duret-Lutz  <adl@gnu.org>

	* m4/python.m4 (AM_PATH_PYTHON) <_AM_PYTHON_INTERPRETER_LIST>: Add
	python2.3.

	* m4/python.m4 (AM_PATH_PYTHON): Query distutils for `pythondir'
	or `pyexecdir', for the sake of 64-bit distributions that usually
	use lib64/ instead of lib/.  Fall back to the default directory
	if it doesn't work.
	Suggested by Gwenole Beauchesne.

2003-01-14  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/382:
	* automake.texi (Yacc and Lex): Document `AM_YFLAGS = -d'.
	Explain BUILT_SOURCES is usually needed in this case.
	Reported by William S Fulton.

2003-01-13  Alexandre Duret-Lutz  <adl@gnu.org>

	Rename some files for the sake of 8+3 file systems.
	* tests/aclocali.test:     Rename to tests/aclocal.test.
	* tests/aclocali1.test:    Rename to tests/aclocal2.test.
	* tests/aclocalii.test:    Rename to tests/aclocal3.test.
	* tests/acoutput.test:     Rename to tests/acoutpt.test.
	* tests/acoutput2.test:    Rename to tests/acoutpt2.test.
	* tests/acouttbs.test:     Rename to tests/acoutbs.test.
	* tests/acouttbs2.test:    Rename to tests/acoutbs2.test.
	* tests/autoheader.test:   Rename to tests/autohdr.test.
	* tests/autoheader2.test:  Rename to tests/autohdr2.test.
	* tests/condincl.test:     Rename to tests/condinc.test.
	* tests/condincl2.test:    Rename to tests/condinc2.test.
	* tests/distcommon.test:   Rename to tests/distcom.test.
	* tests/distcommon2.test:  Rename to tests/distcom2.test.
	* tests/distcommon3.test:  Rename to tests/distcom3.test.
	* tests/installsh.test:    Rename to tests/instsh.test.
	* tests/installsh2.test:   Rename to tests/instsh2.test.
	* tests/instdata.test:     Rename to tests/instdat.test.
	* tests/instdata2.test:    Rename to tests/instdat2.test.
	* tests/libobj12b.test:    Rename to tests/libobj13.test.
	* tests/link_f_c.test:     Rename to tests/link_fc.test.
	* tests/link_f_c_cxx.test: Rename to tests/link_fccxx.test.
	* tests/link_f_cxx.test:   Rename to tests/link_fcxx.test.
	* tests/nodefine.test:     Rename to tests/nodef.test.
	* tests/nodefine2.test:    Rename to tests/nodef2.test.
	* tests/required.test:     Rename to tests/reqd.test.
	* tests/required2.test:    Rename to tests/reqd2.test.
	* tests/sourcesub.test:    Rename to tests/srcsub.test.
	* tests/sourcesub2.test:   Rename to tests/srcsub2.test.
	* tests/specflags.test:    Rename to tests/specflg.test.
	* tests/specflags2.test:   Rename to tests/specflg2.test.
	* tests/specflags3.test:   Rename to tests/specflg3.test.
	* tests/specflags6.test:   Rename to tests/specflg6.test.
	* tests/specflags7.test:   Rename to tests/specflg7.test.
	* tests/specflags8.test:   Rename to tests/specflg8.test.
	* tests/specflags9.test:   Rename to tests/specflg9.test.
	* tests/subdircond.test:   Rename to tests/subcond.test.
	* tests/subdircond2.test:  Rename to tests/subcond2.test.
	* tests/subdircond3.test:  Rename to tests/subcond3.test.
	* tests/texinfo.test:      Rename to tests/txinfo.test.
	* tests/texinfo2.test:     Rename to tests/txinfo2.test.
	* tests/texinfo3.test:     Rename to tests/txinfo3.test.
	* tests/texinfo4.test:     Rename to tests/txinfo4.test.
	* tests/texinfo5.test:     Rename to tests/txinfo5.test.
	* tests/texinfo6.test:     Rename to tests/txinfo6.test.
	* tests/texinfo7.test:     Rename to tests/txinfo7.test.
	* tests/texinfo8.test:     Rename to tests/txinfo8.test.
	* tests/texinfo9.test:     Rename to tests/txinfo9.test.
	* tests/texinfo10.test:    Rename to tests/txinfo10.test.
	* tests/texinfo13.test:    Rename to tests/txinfo13.test.
	* tests/texinfo16.test:    Rename to tests/txinfo16.test.
	* tests/texinfo17.test:    Rename to tests/txinfo17.test.
	* tests/texinfo18.test:    Rename to tests/txinfo18.test.
	* tests/Makefile.am (TESTS): Adjust.
	* ChangeLog.1996: Rename to ChangeLog.96.
	* ChangeLog.1998: Rename to ChangeLog.98.
	* ChangeLog.2000: Rename to ChangeLog.00.
	* ChangeLog.2001: Rename to ChangeLog.01.
	* Makefile.am (EXTRA_DIST): Adjust.
	Reported by Richard Dawe.

2003-01-13  Richard Dawe  <rich@phekda.freeserve.co.uk>  (tiny change)

	* lib/am/distdir.am (distcheck): '=' is not valid in DOS filenames.
	Use '_build' and '_inst' instead of '=build' and '=inst'.
	* tests/man2.test: Reflect change automake: check for files in
	'_build' and '_inst' directories instead of '=build' and '=inst'.

2003-01-13  Alexandre Duret-Lutz  <adl@gnu.org>

	Use `_dirstamp' when the file-system doesn't support `.dirstamp'.
	* m4/lead-dot.m4: New file.
	* m4/Makefile.am (dist_m4data_DATA): Add lead-dot.m4
	* m4/init.m4 (AM_INIT_AUTOMAKE): Require AM_SET_LEADING_DOT.:
	* m4/depend.m4 (AM_SET_DEPDIR): Require AM_SET_LEADING_DOT. Define
	DEPDIR using am__leading_dot.
	* automake.in (require_build_directory): Define am__dirstamp, a new
	variable for the dirstamp basename, based on am__leading_dot.
	* tests/subobj6.test: Move all `test -f' into Makefiles, so we can
	use $(am__dirstamp).
	Reported by Richard Dawe.

	* tests/gnits2.test, tests/pr300-prog.test, tests/transform.test:
	Move all `test -f' into Makefiles, so we can honor $(EXEEXT) when
	testing for programs.
	Reported by Richard Dawe.

2003-01-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* Makefile.am (maintainer-check): Suggest using $sleep instead of
	sleep 2.
	* tests/defs.in (sleep): New variable.
	* tests/asm.test, tests/confsub.test, tests/lisp3.test,
	tests/texinfo16.test, tests/warnopts.test, tests/yaccvpath.test:
	Use $sleep instead of sleep 2, to work around timestamp
	inconsistencies in Windows.
	Reported by Richard Dawe.

	* Makefile.am (maintainer-check): Do not require SHELL=/bin/sh
	after $MAKE -e.
	* tests/ansi3.test, tests/ansi5.test, tests/cond22.test,
	tests/man2.test, tests/subobj3.test, tests/suffix8.test,
	tests/suffix11.test: Do not set SHELL=/bin/sh after $MAKE -e.
	$SHELL is overridden by tests/defs, so it won't hurt even
	if $MAKE -e uses the $SHELL envvar.
	* tests/ansi.test, tests/insh2.test, tests/texinfo.test,
	tests/texinfo8.test: Use SHELL=$SHELL, not SHELL=/bin/sh.
	Reported by Richard Dawe.

	Build elisp files all at once instead of one by one.
	* automake.in (handle_emacs_lisp): Define am__ELFILES.  Add
	elc-stamp to all's dependencies.
	* lib/am/lisp.am (elc-stamp): New rule, build all *.elc files.
	(.el.elc): Rewrite to call elc-stamp if $@ doesn't exist.
	(clean-lisp): Clean elc-stamp.
	* lib/elisp-comp: Reindent.  Erase the temporatry directory
	from a trap.  Propagate Emacs's exit status.
	* tests/lisp3.test: New file.
	* tests/Makefile.am (TESTS): Add lisp3.test.
	Reported by Ryan T. Sammartino.

2003-01-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (macro_define): Add missing `{$cond}' (typo from
	2002-09-18).
	($gen_copyright): Append year 2003.
	(version): Increase year.

	* tests/defs.in: Substitute aclocaldir instead of running
	the installed aclocal.  Otherwise Libtool and Gettext
	tests get skipped when aclocal doesn't preexist.
	Reported by Imacat.
	* tests/listval.test, tests/suffix2.test: Remove pointless -I
	argument to aclocal.

2002-12-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (err): Rename as ...
	(error): ... this.  Adjust all callers.
	Suggested by H.Merijn Brand.

2002-12-11  Brian Ford  <ford@vss.fsi.com>

	* m4/init.m4 (AM_INIT_AUTOMAKE): Properly quote AC_PACKAGE_TARNAME
	and AC_PACKAGE_VERSION.

2002-12-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (ANSI): Since Autoconf 2.54, LIBOBJ and LTLIBOBJ
	no longer have to be rewritten in order to support deansification.
	(Tests): Link to the DejaGnu manual.
	(Optional): Comment out FIXME.
	(Complete, A Library, LIBOBJS): Use $(LIBOBJ) and $(ALLOCA)
	instead of @LIBOBJ@ and @ALLOCA@.
	(Sources): Typo.

2002-12-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.2a.

	* configure.in, NEWS: Bump version to 1.7.2.

	* lib/am/texinfos.am (install-info-am, uninstall-info-am): Strip
	directories from info filenames.
	* tests/texinfo13.test: Make sure main.info gets installed
	as $(infodir)/main.info.

	* automake.in (handle_dist): Do not define %GETTEXT% if the user
	is using $seen_gettext_external, this distcheck won't run
	`./configure' with a meaningless `--with-included-gettext'.
	* tests/gettext.test: Make sure distcheck uses --with-included-gettext.
	* tests/gettext2.test: Make sure distcheck does not use
	--with-included-gettext.

	* automake.texi (Public macros) <AM_PROG_CC_STDC>: Explain this
	macro is obsolete, and that users should
	s/am_cv_prog_cc_stdc/ac_cv_prog_cc_stdc/ their configure.ac.

2002-12-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_languages): Test $objdir, not $srcdir, to
	decide whether a _.c file is in a subdirectory and has to be
	cleaned separately.
	Reported by Kevin Ryde.

	* automake.texi (Options): Some English nits from Eric Siegerman.
	(Sources): Rewrite the introduction and move the example to ...
	(Built sources example): ... this separate node.

	* tests/depcomp2.test: Pass CC='gcc' as an argument to ./configure
	not in the environment.  Otherwise the test will fail when
	run with ksh and VERBOSE=x.
	Reported by Paul Jarc.

	* tests/man2.test: Exercize `make uninstall', to test
	the previous change.

2002-12-03  Nicolas Joly  <njoly@pasteur.fr>

	* lib/am/mans.am (uninstall-man%SECTION%): Change the extension of
	the man pages being uninstalled, if needed.

2002-12-03  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (macro_define): Do not strip escaped new lines
	in Automake's +='ed variables.  We don't know whether it will
	be pretty printed or not at this point.
	(variable_pretty_output): Do this here.
	* tests/pluseq10.test: New file.
	* tests/Makefile.am (TESTS): Add pluseq10.test.
	Reported by Ralf Corsepius.

2002-12-02  Charles Wilson  <cwilson@ece.gatech.edu>

	* tests/gnits3.test (AM_INSTALLCHECK_STD_OPTIONS_EXEMPT):
	Append $(EXEEXT) again.

2002-12-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Sources): Illustrate $(BUILT_SOURCES) with an
	example.

	* automake.texi (Options): Programs listed in
	AM_INSTALLCHECK_STD_OPTIONS_EXEMPT should have $(EXEEXT) appended.
	* tests/gnits3.test (AM_INSTALLCHECK_STD_OPTIONS_EXEMPT):
	Append $(EXEEXT).
	Reported by Charles Wilson.

2002-12-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in, NEWS: Bump version to 1.7.1c.

	* configure.in, NEWS: Bump version to 1.7.1b.

	* automake.in (lang_c_finish): Do not fill de_ansi_files with
	subdirectory informations for %libsources files.  A LIBOBJS source
	is always in the current directory.  This reverts part of a change
	from 2002-01-13.
	* tests/ansi10.test: New file.
	* tests/Makefile.am (TESTS): Add ansi10.test.

	* automake.in (do_check_merge_target): Add missing space.

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

	* configure.in: Do not use missing while checking for Autoconf's
	version, otherwise we won't notice that Autoconf isn't installed.
	Augment the error message with a few questions to help users.

2002-11-30  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/gnits2.test, tests/gnits3.test: Move the greps inside the
	Makefile, so we can honor $(EXEEXT).  Otherwise these tests
	fail under Cygwin.
	Reported by Charles Wilson.

	* NEWS: Summarize recent fixes.

	For PR automake/375 (Debian Bug #168671):
	* automake.in (scan_texinfo_file): Erase all known index files, no
	matter whether they are used at the top-level or not, because we
	can never know if they are used in included files.  The remaining
	macros we recognize at the top-level of a Texi document are
	@defindex, @defcodeindex, @synindex, and @syncodeindex.
	* tests/texinfo18.test: New file.
	* tests/Makefile.am (TESTS): Add texinfo18.test.
	Reported by Simon Richter.

	* automake.in (scan_texinfo_file): Honor only the first @setfilename.
	* tests/texinfo17.test: New file.
	* tests/Makefile.am (TESTS): Add texinfo17.test.
	Reported by Karl Berry.

	For PR automake/357:
	* automake.in (require_file_internal): Don't complain a file is "not
	found" when it is a target.  Make sure "not found" files are otherwise
	reported as error (they were reported as 'note').
	* tests/distcommon3.test: Augment to test the above.
	* tests/libobj12b.test: Touch ltmain.sh.
	* tests/required2.test: Make sure Automake fails because ltmain.sh
	has been removed.
	Reported by Ronald Landheer.

	* tests/texinfo3.test: Make sure we don't output single suffix
	inference rules when building `.info'-less Info files (this
	confuses Solaris make).  Run distcheck to make sure the rules
	work.
	* automake.in (output_texinfo_build_rules): Define GENERIC_INFO
	and SOURCE_INFO.
	* lib/am/texibuild.am (%SOURCE_SUFFIX%%DEST_SUFFIX%,
	%DEST_PREFIX%%DEST_SUFFIX%): Honor GENERIC_INFO and SOURCE_INFO.

2002-11-29  Jim Meyering  <jim@meyering.net>

	* automake.texi: Fix some typos and a grammar nit.

	* lib/install-sh: Put `$0:' at the beginning of each diagnostic,
	not `install:'.

2002-11-29  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/359:
	* automake.in (do_check_merge_target): Make `check' dependent on
	$(BUILT_SOURCES) if the variable is defined.  Run `check-am' or
	`check-recursive' in a submake in this case.
	* tests/check2.test, tests/check3.test: New files.
	* tests/check.test: Make sure `check' depends on `check-am'.
	* tests/Makefile.am (TESTS): Add check2.test and check3.test.

	For PR automake/371 and PR automake/372:
	* automake.in (rule_define): Honor inference rules with multiple
	targets, and warn when they are used.
	* tests/suffix11.test: New file.
	* tests/Makefile.am (TESTS): Add suffix11.test.
	Reported by Duncan Gibson.

2002-11-28  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/370:
	* automake.in (handle_languages): Don't prepend $U to $myext
	since handle_single_transform_list now appends it to $obj.
	Process the rule twice to handle deansified files in subdirectories.
	Mark _.c files in subdirectories for cleaning.
	(handle_single_transform_list): Append $U to $obj_sans_ext if
	needed: before this dependencies were output foo.Po instead
	of foo$U.Po.  Don't output explicit dependencies for renamed
	objects or sources in sub-directories: we already output
	a full compile rule for them.
	(lang_c_finish): Don't always use the full filename in the
	.c -> _.c rule.  This reverts part of my change of 2002-11-21.
	* tests/ansi6.test, tests/ansi7.test: Make sure deansified
	files are created in the right directory, and cleaned.
	Reported by Kevin Ryde.

2002-11-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* tests/texinfo13.test: Require texi2dvi-o.
	* tests/defs.in: Handle required=texi2dvi-o.

	* automake.in (lang_c_finish): Use $@ in the .c -> _.c rule.

	* automake.in (handle_single_transform_list): Don't strip the
	directory from $full_ansi.  This reverts my patch of 2002-10-16.
	(lang_c_finish): Use the full filename, including the directory,
	in the .c -> _.c rule.  These two files must reside in the same
	directory.
	* tests/ansi6.test: Also try to compile without ansi2knr.
	Reported by Andreas Schwab

2002-11-14  Eric Blake  <ebb9@email.byu.edu>

	* lib/am/depend2.am: Add missing fi in c.obj rules.

2002-11-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Conditional Sources): Fix the `+=' example.
	Reported by Mike Castle.

2002-11-12  Jim Meyering  <jim@meyering.net>

	Make install-sh work even when names contain spaces or
	certain (but not all) shell metachars.

	* lib/install-sh: Remove lots of unnecessary quoting.
	Add double quotes where necessary.
	Write diagnostics to stderr, not stdout.
	Normalize spacing in diagnostics: use one space (not two,
	and not a TAB) after the leading `install:'.
	Remove trailing white space.
	Remove unnecessary curly braces.
	If removing the destination fails, also try to move it aside.
	Use `trap' more portably.
	* tests/installsh2.test: New file, to test for the above fix.
	* tests/Makefile.am (TESTS): Add installsh2.test.

2002-11-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (switch_warning): Subject Perl warnings to -Werror.

	* automake.texi (Extending): Complete unterminated sentence.
	Reported by Mike Castle.

2002-10-31  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.texi (Dist): Fix the distcleancheck_listfiles example.
	Reported by Karl Berry.

2002-10-25  Charles Wilson  <cwilson@ece.gatech.edu>

	* tests/defs.in: Add explicit stanza for python -V.

2002-10-16  Alexandre Duret-Lutz  <adl@gnu.org>

	* configure.in: Bump version to 1.7.1a.

	* NEWS, configure.in: Version 1.7.1.

	* automake.in (handle_single_transform_list): Strip directory name
	from $full_ansi if subdir-objects is not set.

	* lib/texinfo.tex: New version from Texinfo 4.2b.

2002-10-15  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_single_transform_list) <full_ansi>: New variable.
	Use this to record correct dependencies about deansifiable files which
	are using per-program flags or are in a subdirectory.
	* tests/ansi9.test: New file.
	* tests/Makefile.am (TESTS): Add ansi9.test.
	Reported by Paul D. Smith

2002-10-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* aclocal.in (ac_defun_rx, ac_require_rx): If the macro name is
	quoted, accept any character but `]'.  This makes it possible
	to define macros such as `AC_LANG_PREPROC(Fortran 90)'.
	(scan_m4_files): Quote $key in the regex.  Don't define $expr, it's
	not used.
	(add_file, scan_file): Adjust to the new definitions of $ac_defun_rx
	and $ac_require_rx.
	* tests/aclocal2.test: New file.
	* tests/Makefile.am (TESTS): Add aclocal2.test.
	Reported by Tamara L. Dahlgren and Tom Epperly.

2002-10-11  Alexandre Duret-Lutz  <adl@gnu.org>

	* NEWS: Summarize recent bug fixes.

	For Debian Bug#153697:
	* lib/am/dejagnu.am (distclean-DEJAGNU): Remove $tool.sum and
	$tool.log.
	Suggested by Andrew Suffield.

2002-10-10  Alexandre Duret-Lutz  <adl@gnu.org>

	For PR automake/369:
	* lib/am/python.am: Lookup python files in build directory or
	source directory.
	From Mathias Doreille.
	* tests/python3.test: New file.
	* tests/Makefile.am (TESTS): Add python3.test.
	* tests/defs: Handle `required=python'.

	For PR automake/358:
	* lib/am/texi-vers.am (%STAMPVTI%): Depend on configure instead of
	configure.ac.
	Suggested by Thien-Thi Nguyen.
	* tests/vtexi.test: Adjust.

2002-10-08  Paul Eggert  <eggert@twinsun.com>

	* lib/am/texibuild.am (%DEST_PREFIX%%DEST_SUFFIX%,
	%DEST_PREFIX%.dvi, %DEST_PREFIX%.pdf): Use "makeinfo -o output
	input", not "makeinfo input -o output", as the latter fails if
	POSIXLY_CORRECT=1.
	* lib/am/texinfos.am (.dvi.ps): Likewise for dvips.
	* m4/depend.m4 (_AM_DEPENDENCIES): Likewise for $depcc.

2002-10-08  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (file_contents_internal): Fix the relationship
	regex flags, don't use `m'.

	For Debian Bug#162583:
	* automake.in (file_contents_internal): Simplify regex to
	separate relationship from actions in rules.
	Reported by Sam Hocevar.

2002-10-01  Alexandre Duret-Lutz  <adl@gnu.org>

	* automake.in (handle_source_transform): If foo_SOURCES is defined
	conditionally, create and use am__foo_SOURCES_DIST for distribution.
	* tests/condd.test: Extend to check distributed files.
	* tests/substref.test: Make sure we don't use such a variable when
	it's not needed.
	Reported by Marcus Brinkmann.

2002-09-30  Ezra Peisach  <epeisach@MED-XTAL.BU.EDU>

	* tests/defs.in: Run $MAKE --version -v.
	* tests/dollar.test: Abort on ./defs failure.
	* tests/lex5.test: Require GNUmake, not make.

2002-09-30  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (require_variables): The fix introduced in 2002-09-19
	is imcomplete.  Rewrite the conditional variable definition check
	using &variable_not_always_defined_in_cond.
	* tests/cond26.test, tests/cond27.test, tests/cond28.test: New file.
	* tests/Makefile.am (TESTS): Add cond26.test, cond27.test, and
	cond28.test.
	Reported by Juergen Keil.

	* lib/am/distdir.am (distdir): Create $dc_destdir right before
	its use.
	Reported by Akim Demaille.

	Fix for PR automake/366:
	* automake.in (handle_dist): Strip $(srcdir) and replace
	$(top_srcdir) when computing DIST_COMMON directories.
	* tests/include2.test: Use an obsolute $(srcdir), and check
	for spurious directories in $(distdir)/sub.
	* lib/am/distdir.am: Rewrite $(top_srcdir) as $(top_builddir).
	Reported by Kevin Ryde.

2002-09-29  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/exeext3.test: New file.
	* tests/Makefile.am (TESTS): Add exeext3.test.
	* automake.in (%target_name): New hash.
	(initialize_per_input): Reset %target_name.
	(rule_define): Fill %target_name, and use it to detect targets
	which have been registered with key X but really are X$(EXEEXT).

2002-09-27  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/mkinstalldirs: Reindent using `sh-indentation: 2'.
	Suggested by Bruno Haible.

	* Makefile.am (fetch, FETCHFILES): Don't fetch install-sh from
	Autoconf.  Automake now has the master copy of install-sh and
	mkinstalldirs.

2002-09-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Bump version to 1.7.0a.

	* NEWS, configure.ac: Version 1.7.

2002-09-25  Art Haas  <ahaas@neosoft.com>

	* automake.texi (Optional, Options, Distributing, ANSI,
	API versioning): Spelling fixes and Texi tweaks.

2002-09-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Check for 'tex'.
	* tests/defs.in: Handle required=tex using configure's result.
	Reported by Patrick Welche.

	* Makefile.am (mdate-sh): Remove.
	* mdate-sh: Delete.
	Suggested by Akim Demaille.

2002-09-25  Tom Tromey  <tromey@redhat.com>

	* NEWS: Mention distuninstallcheck.
	* automake.texi (Dist): Document new macro and target.
	* lib/am/distdir.am (distuninstallcheck_listfiles): New macro.
	(distuninstallcheck): New target.
	(distcheck): Use distuninstallcheck.

2002-09-25  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* tests/specflags7.test (true_CFLAGS, false_CFLAGS, false.c): Use
	AM_TRUE, AM_FALSE to avoid bad interaction with Tru64 UNIX
	<sys/types.h>.
	* tests/specflags8.test (true_CPPFLAGS, false_CPPFLAGS, false.c):
	Likewise.

2002-09-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (output_texinfo_build_rules): Define %SOURCE_REAL%.
	* lib/am/texibuild.am (%DEST_PREFIX%%DEST_SUFFIX%,
	%DEST_PREFIX%.dvi, %DEST_PREFIX%.pdf): Add %SOURCE_REAL% as dependency.

2002-09-24  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* lib/am/ltlib.am (clean-%DIR%LTLIBRARIES): Use $$dir in make
	command.

2002-09-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_single_transform_list): Revert the change
	from 2002-09-22.  We need to erase .libs/ in the object directory
	in addition to the library directory.

	* tests/target-cflags.test: Build in `build/', not `obj/' because
	`obj/' is special to BSD make.

	* automake.in (read_am_file): Prefix included files with
	$(top_srcdir) or $(srcdir) in DIST_COMMON.  Fixes
	subdircond2.test, and subdircond3.test on OSF1.

	* tests/defs.in (SHELL): Set it.

	* lib/am/distdir.am (distcleancheck): Mention `in build directory'
	in error message.

2002-09-23  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/350:
	* automake.in (handle_ltlibraries): Allow a library to be installed
	many times in the same directory.
	* tests/libtool5.test, tests/libtool6.test: New files.
	* tests/Makefile.am (TESTS): Add libtool5.test and libtool6.test.

2002-09-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_ltlibraries): Fill $libtool_clean_directories
	here, with directories where .la files are built...
	(handle_single_transform_list): ... not here with directories
	where .lo files are built.
	* tests/libtool3.test: Build a library in a subdirectory to
	check for this.
	Reported by Peter Gavin.

	* tests/cond5.test: Give more time to automake.
	Reported by Art Haas.

	* configure.in: Really check for Autoconf 2.54.

	* automake.texi (Yacc and Lex): ylwrap is used only when there is
	more than one yacc or lex source file in a directory.

	* automake.in (macro_define): Update a variable's location each
	time its owner is updated.
	* tests/gnuwarn.test: Append to CFLAGS to check for this.
	Reported by Harlan Stenn.

2002-09-20  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Bump version to 1.6g.

	* configure.in, NEWS: Bump version to 1.6f.

	* Makefile.am (INSTALL): New rules.

2002-09-20  Mirko Streckenbach  <strecken@infosun.fmi.uni-passau.de>

	For PR automake/363:
	* m4/cond.m4: Fix AC_MSG_ERROR quoting.

2002-09-19  Pavel Roskin  <proski@gnu.org>

	* tests/warnopts.test: Fix random failures by removing Autoconf
	cache directory when configure.in changes.  Use the code and the
	comment from tests/asm.test.

2002-09-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Program and Library Variables) <maude_LIBADD>:
	Don't mention _LDADD for Libtool libraries.
	Reported by Schleicher Ralph.

	For PR automake/361:
	* tests/suffix8.test: More explicit dependencies.
	Reported by Paul Eggert.

	* automake.in (rule_define): Don't diagnose duplicate user rules.
	* tests/phony.test, tests/percent2.test: New files.
	* tests/Makefile.am (TESTS): Add them.
	Reported by Ralf Corsepius.

	* automake.in (require_variables): Search variable definitions
	in any condition implied by $cond.
	* tests/cond25.test: New file.
	* tests/Makefile.am (TESTS): Add cond25.test.
	Reported by Pavel Roskin.

	* tests/subobj9.test: Skip this test on configure errors.
	Reported by Paul Eggert.

2002-09-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Bump version to 1.6e.

	* configure.in, NEWS: Bump version to 1.6d.
	* tests/libobj12.test, tests/libobj12b.test: Include ./defs,
	not $srcdir/defs.
	* tests/suffix8.test: Typo.

	* automake.in (check_ambiguous_conditional, rule_define): Issue
	syntactic warnings, not errors.
	(macro_define): Don't adjust the owner of a variable which is being
	appended in a condition different from its definition.
	(variable_output, variable_pretty_output): Make sure the
	requested condition exists.

	For PR automake/353: fill %var_location, %var_comment,
	%var_type, %var_owner for each condition.
	* automake.in (msg_cond_var): New function.
	(msg_var): Use it.
	(generate_makefile, process_option_list, handle_languages,
	handle_lib_objects_cond, handle_compile, handle_libtool,
	handle_ltlibraries, handle_texinfo_helper, handle_tests,
	handle_emacs_lisp, handle_python, macro_define, macro_delete,
	macro_dump, variable_assert, variable_output,
	variable_pretty_output, read_am_file, read_main_am_file,
	file_contents_internal, am_primary_prefixes,
	require_variables_for_macro): Adjust accesses to %var_location,
	%var_comment, %var_type, %var_owner.
	(append_comments, require_file_with_macro,
	require_conf_file_with_macro, require_variables): Add the
	$cond argument.
	* tests/comment7.test: New file.
	* tests/Makefile.am (TESTS): Add comment7.test.

2002-09-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/353:
	* automake.in (check_ambiguous_conditional): Display locations for
	the two definitions of the ambiguous variable.  Show the macro_dump
	output in --verbose only.  Accept $where as a third argument,
	(macro_define): Pass $where.

	* automake.in (handle_programs): Ooops.  Really add LDADD
	objects into _DEPENDENCIES.
	* tests/libobj12.test: Check for it.

2002-09-17  Assar Westerlund  <assar@kth.se>
	    Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_programs, handle_libraries,
	handle_ltlibraries): Maintain $seen_libobjs on a
	per-program/per-library basis, instead of globally to each
	of these functions.
	* tests/libobj12.test, tests/libobj12b.test: New files.
	* tests/Makefile.am (TESTS): Add libobj12.test and libobj12b.test.

2002-09-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs.in (configure.in): Don't call AC_PROG_INSTALL and
	AC_PROG_MAKE_SET.

	* lib/config.guess, lib/config.sub, lib/INSTALL,
	lib/Automate/Struct.pm: New upstream version.
	* Makefile.am (mdate-sh): New rule.
	(FETCHFILES): Add Automate/Struct.pm.
	(fetch): Get Automate/Struct.pm.
	(AUTOMAKESOURCES, CLEANFILES): New macros.
	(EXTRA_DIST, TAGS_FILES): Use them.
	* install-sh, mkinstalldirs, missing: Delete.

	* automake.in: Rename the 'unused' channel to 'syntax'.
	(variable_defined): Issue a warning instead of an error
	for variable-is-a-target conditions.
	* automake.texi (Invoking Automake): Rename the 'unused'
	channel to 'syntax'.
	* tests/warnopts.test: Likewise.

	* tests/suffix8.test: Add explicit dependencies.
	* tests/texinfo13.test, tests/texinfo16.test: Require tex.

2002-09-16  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in, m4/init.m4, NEWS: Require Autoconf 2.54.

	* automake.in (variable_defined): Thinko in $cond handling.

2002-09-15  Paul Eggert  <eggert@twinsun.com>

	* lib/Automake/Channels.pm: Don't use 'our', as it isn't portable
	to Perl 5.00503.

	* Makefile.am (maintainer-check): Don't use egrep.

2002-09-15  Tom Tromey  <tromey@redhat.com>

	* tests/subdircond3.test: Pass flags to make in environment.
	* tests/subdircond2.test: Pass flags to make in environment.
	* Makefile.am (maintainer-check): Add a new check for @...@
	substitutions.  Updated correct number of diffs between source and
	build trees.

	* configure.in (aclocal, automake): Don't create.
	* automake.in ($prefix): Don't define.
	* aclocal.in ($prefix): Don't define.
	* Makefile.am (do_subst): New macro.
	(automake): New target.
	(aclocal): Likewise.

2002-09-15  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* aclocal.in, automake.in: Requote each "@var@" as '@var@'.

2002-09-14  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/Makefile.am (XFAIL_TESTS): Remove specflags7.test and
	specflags8.test.

2002-09-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Building ctags and etags): Rename and adjust as ...
	(Building true and false): ... this.
	* tests/targetclash.test: New file.
	* tests/specflags7.test, tests/specflags8.test: Adjust to build
	true and false.
	* tests/Makefile.am (TESTS): Add targetclash.test.

	Diagnose target clashes, for PR automake/344:
	* automake.in (%targets): Record conditionals for definitions.
	(%target_conditional): Remove (obsoleted by %targets).
	(%target_source, %target_owner): New hashes.
	(TARGET_AUTOMAKE, TARGET_USER): New constants.
	(initialize_per_input): Adjust to reset new variables.
	(err_cond_target, msg_cond_target): New functions.
	(msg_target): Adjust usage of %targets.
	(conditional_ambiguous_p): Take a list of conditional to check
	as a third parameter, so this can be used for other things that
	variables.
	(handle_lib_objects_cond): Adjust conditional_ambiguous_p usage.
	(variable_defined): Restrict the target-with-same-name check
	to user targets.
	(rule_define): Add the $SOURCE argument, and take $OWNER instead
	of $IS_AM.  Diagnose target clashes (including ambugious
	conditionals).  Return a list of conditions where the rule should
	be defined instead of a boolean.  Fill %target_source and
	%target_owner.
	(target_define): Use `exists', not `defined'.
	(read_am_file): Adjust the call to rule_define.
	(file_contents_internal): Add more FIXMEs.  Simplify my moving
	and documenting the "define rules in undefined conditions" to
	rule_define.
	* tests/Makefile.am (XFAIL_TESTS): Add specflags7.test and
	specflags8.test.

2002-09-12  Akim Demaille  <akim@epita.fr>

	* aclocal.in: Prototype all the functions.
	Add `(C)' to Copyrights.
	(&add_file): Strip the comments before checking for `AC_REQUIRE'.
	Remove Perl 4 hacks, since anyway we require 5.005 via General.pm.

2002-09-11  Akim Demaille  <akim@epita.fr>

	* lib/am/texinfos.am (TEXI2PDF): Pass --batch to texi2dvi, since
	it was already supported when --pdf support was added.

2002-09-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/Automake/Channels.pm (_default_options): Add `backtrace'.
	(msg): Die with backtrace if requested.
	* automake.in: Enable `backtrace' on the `automake' channel.

	* automake.in (process_option_list): Mention `Automake' in
	version-mismatch error.
	Suggested by Akim Demaille.

	* tests/Makefile.am ($(TESTS)): Replace by ...
	(check_SCRIPTS): ... this.
	Suggested by Raja R Harinath.

2002-09-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/Makefile.am ($(TESTS)): New, depends on defs.
	(BUILT_SOURCES): Remove (useless because of PR/359).

	* m4/init.m4: Execute cygpath in a sub-shell.

2002-09-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (macro_define): Warn about `:=' assignments.
	* tests/colneq.test: Check for this warning.

	* automake.texi (Include): Fragments are always distributed.
	* NEWS: Likewise.

2002-09-08  Andreas Buening  <andreas.buening@nexgo.de>

	Fix for automake/334:
	* lib/am/depend2.am: Replaced "cygpath -w" by $(CYGPATH_W).
	* m4/init.m4: New make variable CYGPATH_W.

2002-09-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Check for EGREP and FGREP.  Create tests/defs.
	* tests/defs: Rename as ...
	* tests/defs.in: ... this.  Add copyright notice.  Use configure's
	values for PERL, EGREP, and FGREP.  Be verbose if $srcdir is unset.
	* tests/Makefile.am (EXTRA_DIST): Remove defs.
	(BUILT_SOURCES): New.
	* tests/acinclude.test, tests/aclibobj.test, tests/aclocal.test,
	tests/aclocali.test, tests/aclocali1.test, tests/aclocalii.test,
	tests/acoutnoq.test, tests/acoutput.test, tests/acoutput2.test,
	tests/acoutqnl.test, tests/acouttbs.test, tests/acouttbs2.test,
	tests/acsilent.test, tests/acsubst.test, tests/acsubst2.test,
	tests/all.test, tests/alpha.test, tests/amassign.test,
	tests/ammissing.test, tests/ansi.test, tests/ansi2.test,
	tests/ansi3.test, tests/ansi4.test, tests/ansi5.test,
	tests/ansi6.test, tests/ansi7.test, tests/ansi8.test,
	tests/ar.test, tests/asm.test, tests/autoheader.test,
	tests/autoheader2.test, tests/auxdir.test, tests/auxdir2.test,
	tests/backsl.test, tests/backsl2.test, tests/badline.test,
	tests/badopt.test, tests/badprog.test, tests/block.test,
	tests/canon.test, tests/canon2.test, tests/canon3.test,
	tests/canon4.test, tests/canon5.test, tests/ccnoco.test,
	tests/check.test, tests/checkall.test, tests/clean.test,
	tests/colneq.test, tests/colneq2.test, tests/colon.test,
	tests/colon2.test, tests/colon3.test, tests/colon4.test,
	tests/colon5.test, tests/colon6.test, tests/colon7.test,
	tests/comment.test, tests/comment2.test, tests/comment3.test,
	tests/comment4.test, tests/comment5.test, tests/comment6.test,
	tests/compile_f_c_cxx.test, tests/cond.test, tests/cond10.test,
	tests/cond11.test, tests/cond12.test, tests/cond13.test,
	tests/cond14.test, tests/cond15.test, tests/cond16.test,
	tests/cond17.test, tests/cond18.test, tests/cond19.test,
	tests/cond2.test, tests/cond20.test, tests/cond21.test,
	tests/cond22.test, tests/cond23.test, tests/cond24.test,
	tests/cond3.test, tests/cond4.test, tests/cond5.test,
	tests/cond6.test, tests/cond7.test, tests/cond8.test,
	tests/cond9.test, tests/condd.test, tests/condincl.test,
	tests/condincl2.test, tests/condlib.test, tests/condman.test,
	tests/condman2.test, tests/conf2.test, tests/confdeps.test,
	tests/confdist.test, tests/confh.test, tests/confh4.test,
	tests/config.test, tests/confincl.test, tests/confsub.test,
	tests/confvar.test, tests/confvar2.test, tests/copy.test,
	tests/ctarget1.test, tests/cxx.test, tests/cxx2.test,
	tests/cxxansi.test, tests/cxxcpp.test, tests/cxxlibobj.test,
	tests/cxxlink.test, tests/cxxnoc.test, tests/cxxo.test,
	tests/cygwin32.test, tests/dash.test, tests/defun.test,
	tests/defun2.test, tests/dejagnu.test, tests/dejagnu2.test,
	tests/depacl.test, tests/depacl2.test, tests/depcomp.test,
	tests/depcomp2.test, tests/depdist.test, tests/depend.test,
	tests/depend2.test, tests/depend3.test, tests/depend4.test,
	tests/destdir.test, tests/dirforbid.test, tests/dirlist.test,
	tests/discover.test, tests/distcommon.test,
	tests/distcommon2.test, tests/distcommon3.test,
	tests/distdir.test, tests/distname.test, tests/dollar.test,
	tests/double.test, tests/dup2.test, tests/dup3.test,
	tests/else.test, tests/empty.test, tests/empty2.test,
	tests/empty3.test, tests/empty4.test, tests/error.test,
	tests/exdir.test, tests/exdir2.test, tests/exeext.test,
	tests/exeext2.test, tests/exsource.test, tests/ext.test,
	tests/ext2.test, tests/extra.test, tests/extra2.test,
	tests/extra3.test, tests/extra4.test, tests/extra5.test,
	tests/extra6.test, tests/extra7.test, tests/flibs.test,
	tests/fnoc.test, tests/fo.test, tests/fonly.test,
	tests/fortdep.test, tests/fpinst2.test, tests/fpinstall.test,
	tests/gcj.test, tests/gcj2.test, tests/gcj3.test, tests/gcj4.test,
	tests/gcj5.test, tests/getopt.test, tests/gettext.test,
	tests/gettext2.test, tests/gnits.test, tests/gnits2.test,
	tests/gnits3.test, tests/gnuwarn.test, tests/header.test,
	tests/implicit.test, tests/include.test, tests/include2.test,
	tests/info.test, tests/insh.test, tests/insh2.test,
	tests/install.test, tests/install2.test, tests/installdir.test,
	tests/installsh.test, tests/instdata.test, tests/instdata2.test,
	tests/instexec.test, tests/insthook.test, tests/instman.test,
	tests/instman2.test, tests/interp.test, tests/interp2.test,
	tests/java.test, tests/java2.test, tests/javaprim.test,
	tests/javasubst.test, tests/ldadd.test, tests/ldflags.test,
	tests/lex.test, tests/lex2.test, tests/lex3.test, tests/lex4.test,
	tests/lex5.test, tests/libobj10.test, tests/libobj11.test,
	tests/libobj2.test, tests/libobj3.test, tests/libobj4.test,
	tests/libobj5.test, tests/libobj7.test, tests/libobj8.test,
	tests/library.test, tests/library2.test, tests/libtool.test,
	tests/libtool2.test, tests/libtool3.test, tests/libtool4.test,
	tests/link_c_cxx.test, tests/link_dist.test, tests/link_f_c.test,
	tests/link_f_c_cxx.test, tests/link_f_cxx.test,
	tests/link_f_only.test, tests/lisp.test, tests/lisp2.test,
	tests/listval.test, tests/ltdeps.test, tests/ltlibobjs.test,
	tests/maintclean.test, tests/make.test, tests/makevars.test,
	tests/man.test, tests/man2.test, tests/mclean.test,
	tests/mdate.test, tests/mdate2.test, tests/mdate3.test,
	tests/mdate4.test, tests/mkinst2.test, tests/mkinstall.test,
	tests/nobase.test, tests/nodefine.test, tests/nodefine2.test,
	tests/nodep.test, tests/nodepcomp.test, tests/nodist.test,
	tests/nodist2.test, tests/noinst.test, tests/noinstdir.test,
	tests/nolink.test, tests/nostdinc.test, tests/number.test,
	tests/obsolete.test, tests/order.test, tests/outdir.test,
	tests/output.test, tests/output2.test, tests/output3.test,
	tests/output4.test, tests/output5.test, tests/package.test,
	tests/parse.test, tests/percent.test, tests/pluseq.test,
	tests/pluseq2.test, tests/pluseq3.test, tests/pluseq4.test,
	tests/pluseq5.test, tests/pluseq6.test, tests/pluseq7.test,
	tests/pluseq8.test, tests/pluseq9.test, tests/postproc.test,
	tests/ppf77.test, tests/pr2.test, tests/pr204.test,
	tests/pr211.test, tests/pr220.test, tests/pr224.test,
	tests/pr229.test, tests/pr243.test, tests/pr266.test,
	tests/pr279-2.test, tests/pr279.test, tests/pr287.test,
	tests/pr300-lib.test, tests/pr300-ltlib.test,
	tests/pr300-prog.test, tests/pr307.test, tests/pr72.test,
	tests/pr87.test, tests/pr9.test, tests/prefix.test,
	tests/primary.test, tests/primary2.test, tests/proginst.test,
	tests/python.test, tests/python2.test, tests/ranlib.test,
	tests/recurs.test, tests/recurs2.test, tests/remake.test,
	tests/remake2.test, tests/remake3.test, tests/req.test,
	tests/required.test, tests/required2.test, tests/rulepat.test,
	tests/scripts.test, tests/seenc.test, tests/sinclude.test,
	tests/sourcesub.test, tests/sourcesub2.test, tests/space.test,
	tests/specflags.test, tests/specflags2.test,
	tests/specflags3.test, tests/specflags6.test,
	tests/specflags7.test, tests/specflags8.test,
	tests/specflags9.test, tests/spell.test, tests/spell2.test,
	tests/spell3.test, tests/spelling.test, tests/stamph.test,
	tests/stamph2.test, tests/stdlib.test, tests/strip.test,
	tests/subdir.test, tests/subdir2.test, tests/subdir3.test,
	tests/subdir4.test, tests/subdir5.test, tests/subdir6.test,
	tests/subdir7.test, tests/subdirbuiltsources.test,
	tests/subdircond.test, tests/subdircond2.test,
	tests/subdircond3.test, tests/subobj.test, tests/subobj2.test,
	tests/subobj3.test, tests/subobj4.test, tests/subobj5.test,
	tests/subobj6.test, tests/subobj7.test, tests/subobj8.test,
	tests/subobj9.test, tests/subobjname.test, tests/subpkg.test,
	tests/subst.test, tests/substref.test, tests/substtarg.test,
	tests/suffix.test, tests/suffix10.test, tests/suffix2.test,
	tests/suffix3.test, tests/suffix4.test, tests/suffix5.test,
	tests/suffix6.test, tests/suffix7.test, tests/suffix8.test,
	tests/suffix9.test, tests/symlink.test, tests/symlink2.test,
	tests/symlink3.test, tests/syntax.test, tests/tags.test,
	tests/tagsub.test, tests/target-cflags.test, tests/target.test,
	tests/texinfo.test, tests/texinfo10.test, tests/texinfo13.test,
	tests/texinfo16.test, tests/texinfo2.test, tests/texinfo3.test,
	tests/texinfo4.test, tests/texinfo5.test, tests/texinfo6.test,
	tests/texinfo7.test, tests/texinfo8.test, tests/texinfo9.test,
	tests/transform.test, tests/unused.test, tests/vars.test,
	tests/vars2.test, tests/vars3.test, tests/vartar.test,
	tests/version.test, tests/version2.test, tests/version3.test,
	tests/version4.test, tests/version5.test, tests/version6.test,
	tests/vpath.test, tests/vtexi.test, tests/vtexi2.test,
	tests/warnopts.test, tests/werror.test, tests/whoami.test,
	tests/xsource.test, tests/yacc.test, tests/yacc2.test,
	tests/yacc3.test, tests/yacc4.test, tests/yacc5.test,
	tests/yacc6.test, tests/yacc7.test, tests/yacc8.test,
	tests/yaccpp.test, tests/yaccvpath.test: Add copyright notice.
	Source ./defs instead of $srcdir/defs.

2002-09-05  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/distdir.am (distcheck): Strip $(srcdir) prefix on
	distributed files, to workaround Sun make VPATH munging.
	This fixes subdircond2.test, subdircond3.test, and subpkg.test
	on Solaris.
	* tests/extra6.test, tests/lex3.test, tests/pr87.test,
	tests/pr9.test, tests/target-cflags.test, tests/texinfo13.test,
	tests/texinfo16.test, tests/yacc7.test, tests/yaccvpath.test:
	Don't require GNU make.

	* lib/am/distdir.am (distcheck): Add missing `;'.

	* lib/am/scripts.am (installcheck-%DIR%SCRIPTS): Account for
	Sun make rewriting rules in VPATH builds.  (Fixes gnits3.test.)
	* lib/am/progs.am (installcheck-%DIR%PROGRAMS): Likewise.

2002-09-04  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For automake/354:
	* lib/am/texibuild.am (%SOURCE_SUFFIX%.dvi, %SOURCE_SUFFIX%.pdf):
	Don't use `-o' unless necessary.

2002-08-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/343:
	* automake.in (scan_texinfo_file) <clean_suffixes>: Remove dvi, ps,
	and pdf.
	(output_texinfo_build_rules): Define %DIRSTAMP% when processing
	texibuild.am.  Return $dirstamp and a list of files to clean.
	(handle_texinfo_helper): Process texi-vers.am after the call to
	output_texinfo_build_rules and use $dirstamp to define %DIRSTAMP%.
	* lib/am/texi-vers.am (%STAMPVTI%): Build %DIRSTAMP% if needed.
	* lib/am/texibuild.am (%DEST_PREFIX%%DEST_SUFFIX%): Likewise.
	(%DEST_PREFIX%.dvi, %DEST_PREFIX%.pdf): Depend on %DIRSTAMP%.
	* tests/texinfo13.test: New file.
	* tests/Makefile.am (TESTS): Add texinfo13.test.
	* lib/am/texinfos.am (install-info-am, dist-info): Looks for
	info files in build or source directory.
	This completes the change from 2002-07-30 (for PR automake/168).

2002-08-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (CLEAN, MAINTAINER_CLEAN): New constants.
	(maintainer_clean_files): Replace by ...
	(clean_files): ... this new variable.
	(initialize_per_input, lang_yacc_target_hook,
	lang_lex_target_hook): Use %clean_files instead of
	@maintainer_clean_files.
	(handle_clean): Rewrite, using %clean_files.
	(require_build_directory_maybe): Use %clean_files instead
	of %compile_clean_files.  This allows using
	&require_build_directory_maybe for non-compiling targets.
	* lib/am/clean.am (mostlyclean-generic, clean-generic,
	distclean-generic, maintainer-clean-generic): Rewrite using
	%MOSTLYCLEAN_RMS%, %CLEAN_RMS%, %DISTCLEAN_RMS%, and
	%MAINTAINER_CLEAN_RMS%.

	For Debian Bug#157778:
	* m4/python.m4: Fix output of `python' in checking messages
	when no version of Python is required.

2002-08-23  Raja R Harinath  <harinath@cs.umn.edu>

	* lib/am/depend2.am (%EXT%.lo): Fix typo.  Rename the file that
	was generated by gcc -MF.

2002-08-23  Pavel Roskin  <proski@gnu.org>

	* lib/am/progs.am: Exit in case of install failure, otherwise
	it is ignored on Cygwin because of the surrounding "for" loop.

2002-08-23  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Top level): More words about conditional
	subdirectories.  Don't mention AC_PROG_MAKE_SET.
	* tests/subdircond2.test, tests/subdircond3.test: New files.
	* tests/Makefile.am (TESTS): Add them.

	For PR automake/347:
	* automake.in (MACRO_PATTERN): Allow `.' in variable names.
	(scan_variable_expansions, check_variable_expansions): New functions.
	(macro_define): Call check_variable_expansions.
	(read_am_file): Likewise, when outputing rules.
	(variable_conditions_recursive_sub): Simplify using
	scan_variable_expansions.
	* tests/vars3.test: New file.
	* tests/Makefile.am (TESTS): Add vars3.test.
	* tests/colneq.test: Use -Wno-portability.

	* lib/Automake/Channels.pm (buffering, backlog): New variables.
	(buffer_messages, flush_messages): New functions.
	(@EXPORT): Add buffer_messages and flush_messages.
	* automake.in (generate_makefile): Call buffer_messages and
	flush_messages to buffer warnings until AUTOMAKE_OPTIONS has
	been read.

	* automake.in (read_am_file): Fix computation of path to
	included file when $(top_srcdir) is not used.
	* tests/include2.test: Augment.

2002-08-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (set_strictness): Never enable 'portability'
	warnings for now.
	(usage): Adjust `-Wportability' doc.
	* automake.texi (Invoking Automake): Likewise.
	Suggested by Ralf Corsepius.

2002-08-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/ltlib.am (clean-%DIR%LTLIBRARIES): Fix cleanup of
	so_location files in current directory.

	Fix for PR automake/346:
	* automake.texi (Optional): Supress the documentation for
	AC_PATH_XTRA, AC_FUNC_ALLOCA, AC_FUNC_ERROR_AT_LINE, AC_FUNC_FNMATCH,
	AC_FUNC_GETLOADAVG, AC_FUNC_MEMCMP, AC_FUNC_MKTIME, AC_FUNC_OBSTACK,
	AC_FUNC_STRTOD, AC_REPLACE_FUNCS, AC_REPLACE_GNU_GETOPT,
	AC_STRUCT_ST_BLOCKS, AM_WITH_REGEX, AC_CHECK_TOOL, AC_CHECK_PROG,
	AC_CHECK_PROGS, AC_PATH_PROG, and AC_PATH_PROGS.  Augment the
	documentation of AC_LIBSOURCE and AC_SUBST to explain this
	applies to any macro that calls them.

2002-08-19  Tom Tromey  <tromey@redhat.com>

	For PR automake/348:
	* tests/Makefile.am (TESTS): Added include2.test.
	* tests/include2.test: New file.
	* tests/include.test: Check to make sure include file is
	distributed.
	* automake.in (read_am_file): Distribute included files.

2002-08-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/345:
	* tests/defs: Add support for required=non-root, stolen
	from fileutils'	test suite.
	* tests/destdir.test: Use required=non-root.

	* tests/vtexi.test: Fix spurious failure introduced on 2002-07-30.

2002-08-17  Tom Tromey  <tromey@redhat.com>

	For PR automake/347:
	* automake.in (rule_define): Given portability warning if "%" seen
	in target name.
	(TARGET_PATTERN): Added `%'.
	* tests/Makefile.am (TESTS): Added percent.test.
	* tests/percent.test: New file.

2002-08-15  Art Haas  <ahaas@neosoft.com>

	* lib/am/depend2.am: Use correct name for dependency file in
	libtool fastdep case.

2002-08-14  Art Haas  <ahaas@neosoft.com>

	* lib/am/depend2.am: Added missing `;'.

2002-08-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Python): Fix wording.

	* tests/ext2.test: New file.  This bug is present in Automake 1.6.3
	and was fixed by the change on variable_conditions_permutations
	and invert_conditions on 2002-05-16.
	* tests/Makefile.am (TESTS): Add ext2.test.
	Reported by Ladislav Strojil.

2002-08-01  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* aclocal.in (parse_arguments): Add `dirlist' paths add the
	very end of the search path, after aclocal-APIVERSION/ and
	aclocal/.
	* automake.texi (Macro search path): Adjust to reflect the
	new ordering.
	* tests/dirlist.test: Check for this.

2002-07-31  Charles Wilson  <cwilson@ece.gatech.edu>

	* aclocal.in (parse_arguments): Add support for extending
	default macro search path, using a `dirlist' file within
	the aclocal directory.
	* automake.texi (Invoking aclocal): Move option descriptions into ...
	(aclocal options): ... this new node.
	(Macro search path): New node.
	* tests/dirlist.test: New file.
	* tests/Makefile.am (TESTS): Add dirlist.test.
	* m4/dirlist: New file.
	* m4/Makefile.am (EXTRA_DIST): Add dirlist.
	* tests/defs: Honor any installed dirlist when searching for
	libtool.m4 and gettext.m4.

2002-07-30  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Build info files in builddir instead of srcdir (for PR automake/168),
	and prepare support for info files in subdirecties.
	* automake.in (output_texinfo_build_rules): New function.
	(handle_texinfo_helper): Use output_texinfo_build_rules, and
	prepare to support subdir texinfos.  Define am__TEXINFO_TEX_DIR.
	* lib/am/texi-vers.am: Build version.texi and stamp-vti in the
	current directory, not $(srcdir).  Use %STAMPVTI% to name the stamp
	file.
	* lib/am/texibuild.am: Rewrite to output files in the current
	directory, not $(srcdir).  Also, support both generic and
	non-generic output.  Pass `-o $@' to makeinfo, texinfo, and
	texi2dvi (for PR automake/339).
	* tests/texinfo3.test: Make sure the `.texi:' rule is output.
	* tests/texinfo10.test: Use set -e, so the checks are not ignored.
	* tests/texinfo16.test: New file.
	* tests/Makefile.am (TESTS): Add texinfo16.test.

2002-07-29  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* aclocal.in (write_aclocal): Don't write the filename ($output_file)
	in the aclocal.m4 header.

	* configure.in: Require Autoconf 2.53b.

2002-07-28  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Bump version to 1.6c.

	* configure.in: Bump version to 1.6b.
	* lib/config.guess, lib/config.sub, lib/Automake/XFile.pm: New
	upstream versions.
	* automake.in: Don't write @ALLOCA@ and @LIBOBJS@ in clear text,
	since this file is processed by config.status.

2002-07-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (read_am_file): Escaped newlines in comments are not
	portable.  If a comment line doesn't start with a `#', add it.
	* tests/comment6.test: Ensure this is done.

2002-07-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix failures reported by Patrick Welche on NetBSD.
	* tests/gnits2.test, tests/gnits3.test: Don't trust the exit
	status of `make -k'.
	* tests/obsolete.test: Source obs.1 and obs.2 from current
	directory.

2002-07-23  Patrick Welche  <prlw1@newn.cam.ac.uk>

	* lib/am/configure.am (am__CONFIG_DISTCLEAN_FILES): Add
	configure.lineno.

2002-07-23  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/required2.test: New file.
	* tests/Makefile.am (TESTS): Add required2.test.
	* automake.in (initialize_per_input): Remove %require_file_found
	setting.  This reverts my change of 2002-04-19.
	(require_file_internal): Use the full name of a file as a
	key in %require_file_found, not only the basename.
	Reported by Andrew Suffield.

2002-07-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_subdirs): Warn if `obj' appears in SUBDIRS.
	* tests/subdir7.test: New file.
	* tests/Makefile.am (TESTS): Add subdir7.test.

	* lib/mkinstalldirs: Remove Id keyword.

	* lib/am/progs.am (installcheck-%DIR%PROGRAMS): Honor
	AM_INSTALLCHECK_STD_OPTIONS_EXEMPT.
	* lib/am/scripts.am (installcheck-%DIR%SCRIPTS): Likewise.
	* automake.texi (Options) <std-options>: Document
	AM_INSTALLCHECK_STD_OPTIONS_EXEMPT.
	(Gnits): Reference std-options.
	* tests/gnits3.test: New file.
	* tests/Makefile.am (TESTS): Add gnits3.test.
	Suggested by Jim Meyering.

2002-07-20  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/gnits2.test: Use --program-prefix.  Test for scripts too.
	Replace the sed script by calls to grep, easier to debug.
	* lib/am/progs.am (installcheck-%DIR%PROGRAMS): Honor nobase
	and $(transform).
	* lib/am/scripts.am (installcheck-%DIR%SCRIPTS): Likewise.

	* lib/am/progs.am (install-%DIR%PROGRAMS, uninstall-%DIR%PROGRAMS):
	Always strip the directory part before applying $(transform),
	even for nobase_ targets.
	* lib/am/scripts.am (install-%DIR%SCRIPTS, uninstall-%DIR%SCRIPTS):
	Likewise.
	* tests/nobase.test: Use --program-prefix while testing nobase
	support.

2002-07-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dirname.test: Delete.  We don't define _AM_DIRNAME anymore.
	* tests/Makefile.am (TESTS): Remove dirname.test.

	* m4/init.m4: Require Autoconf 2.53b.
	* m4/header.m4 (AM_CONFIG_HEADER): Redefine using AU_DEFUN.
	* m4/ccstdc.m4 (fp_PROG_CC_STDC): New AU_DEFUN.
	* m4/dmalloc.m4 (fp_WITH_DMALLOC): Likewise.
	* m4/lispdir.m4 (ud_PATH_LISPDIR): Likewise.
	* m4/maintainer.m4 (jm_MAINTAINER_MODE): Likewise.
	* m4/protos.m4 (fp_C_PROTOTYPES): Likewise.
	* m4/regex.m4 (fp_WITH_REGEX): Likewise.
	* m4/termios.m4: Delete.  AM_SYS_POSIX_TERMIOS is now AU_DEFUNed
	in m4/obsolete.m4.
	* m4/winsz.m4: Delete. AM_HEADER_TIOCGWINSZ_NEEDS_SYS_IOCTL is now
	AU_DEFUNed in m4/obsolete.m4.
	* m4/obsol-gt.m4, m4/obsol-lt.m4, m4/obsolete.m4 : New files.
	* m4/Makefile.am (dist_m4data_DATA): Add obsol-gt.m4, obsol-lt.m4,
	and obsolete.m4. Remove termios.m4 and winsz.m4.
	* aclocal.in (obsolete, obsolete_rx): Remove.
	(scan_configure): Don't grep for obsolete macros.
	* tests/defs (AUTOUPDATE): Define.
	* Makefile.am (maintainer-check): Check for misuses of autoupdate.
	* tests/obsolete.test: Rewrite.  Exercize the AU_DEFUN macros from
	m4/obsolete.m4.

	Fix for PR automake/338:
	* automake.in (seen_gettext_external): New variable.
	(handle_gettext): Conditionalize the intl/ check on
	$seen_gettext_external.  Fix grep usage.
	(scan_autoconf_traces): Set $seen_gettext_external if
	`external' is passed to AM_GNU_GETTEXT.
	* tests/gettext.test, tests/gettext2.test: New files.
	* tests/Makefile.am (TESTS): Add gettext.test and gettext2.test.

2002-07-18  Alexandre Duret-Lutz  <duret_g@epita.fr>
	    Akim Demaille  <akim@epita.fr>

	* m4/header.m4 (_AM_DIRNAME, _AM_STAMP, _AM_CONFIG_HEADER,
	_AM_CONFIG_HEADER_INSINUATE): Remove them all.  Leave just ...
	(AM_CONFIG_HEADER): ... this new definition for compatibility.
	* m4/init.m4: Don't call _AM_CONFIG_HEADER_INSINUATE.
	(_AC_AM_CONFIG_HEADER_HOOK): New macro.
	* tests/confh5.tests: Delete.
	* tests/Makefile.am (TESTS): Remove confh5.tests.

2002-07-16  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_single_transform_list): Typo.

	* lib/Automake/Channels.pm (dup_channel_setup,
	drop_channel_setup): New functions.
	(@EXPORT): Add them.
	* automake.in (generate_makefile): Call dup_channel_setup and
	drop_channel_setup.
	(process_option_list): Recognize --warnings and -W options.
	* automake.texi (Options): Document them.
	* tests/pluseq5.test: Check that -Wno-obsolete will disable the
	warning.
	* tests/warnopts.test: New file.
	* tests/Makefile.am (TESTS): Add warnopts.test.

2002-07-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in: Register warning channel `gnu'.
	(set_strictness): Turn on `gnu' in --gnu and --gnits.
	(usage): Mention the `gnu' category.
	(%var_is_am): Replace by ...
	(%var_owner): ... this, which uses ...
	(VAR_AUTOMAKE, VAR_CONFIGURE, VAR_MAKEFILE): ... these new constants.
	Adjust all uses of %var_is_am.
	(handle_languages): Warn about user variables being overriden.
	(require_variables): Also check %configure_vars for the existence
	of a required variable.
	* automake.texi (Invoking Automake): Document -Wgnu.
	* tests/yacc2.test, tests/yacc3.test: Use -Wno-gnu when
	we test YFLAGS.
	* tests/gnuwarn.test: New file.
	* tests/Makefile.am (TESTS): Add gnuwarn.test.

2002-07-11  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/337:
	* automake.in: Redefine the `flags' attribute of each language
	as a list.  List CPPFLAGS in `flags' when it is used.
	(register_language): Set the default value of 'flags'.
	(handle_single_transform_list): Adjust to treat `flags' as a list.
	(handle_languages): Likewise.  Don't bother defining the
	configure variable for `c', this is always done since we trace
	configure.ac.
	* automake.texi (etags): Use per-executable _CPPFLAGS.
	(Program and Library Variables): Mention maude_CPPFLAGS.
	(Program variables): Likewise.
	* tests/specflags8.test: Use _CPPFLAGS instead of _CFLAGS.
	* tests/specflags9.test: New file.
	* tests/Makefile.am (TESTS): Add specflag9.test.

2002-07-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi: Use `variable' instead of `macro' everywhere it
	designates a Makefile variable.
	(Texinfo): `VERSION', `UPDATED', `EDITION', and `UPDATED-MONTH' are
	`flags', not `macros'.  `Macro' means something else in Texinfo.
	Also show how to use these flags.
	* automake.in (file_contents_internal): s/macro/variable/ in
	error message.

	* automake.in (parse_arguments): Call Getopt twice: once to catch
	--help or --verbose, and once to process the other arguments.
	(usage, verbose): Always exit 0, ignoring $exit_code (which anyway
	should always be 0 because of the change to parse_arguments).
	* tests/Makefile.am (TESTS): Add getopt.test.
	* tests/getopt.test: New file.

2002-07-09  Tom Tromey  <tromey@redhat.com>

	For PR automake/286:
	* automake.texi (Tags): Document ctags.
	* automake.in (handle_tags): Handle ctags.
	* lib/am/tags.am (CTAGS): New macro.
	(CTAGSFLAGS): Likewise.
	(ctags): New target.
	(distclean-tags): Remove `tags'.

	* lib/am/depend2.am: Reworked syntax to avoid parsing problem.

	* lib/am/depend2.am: Search in srcdir and builddir for %SOURCE%
	before passing to cygpath.  Partial fix for PR automake/334.

2002-07-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (generate_makefile): Suggest using AM_CPPFLAGS
	instead of INCLUDES.
	* tests/pluseq5.test: Check that AM_CPPFLAGS is suggested.

2002-07-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (usage, version): Honor $exit_code.
	(parse_arguments): Use fatal.

2002-07-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Invoking Automake): Document WARNINGS.
	* automake.in (switch_warning, parse_WARNINGS): New function.
	(setup_warnings): Rename to ...
	(parse_warnings): ... this.  Move most of the code to switch_warning.
	Accept a comma separated list of categories.
	* tests/vars2.test: Use a comma separated list of warning categories.

2002-07-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* NEWS (New in 1.6): Mention that libtoolize is no longer run
	by automake.

2002-07-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/291:
	* automake.in (macro_define): Catch variable names starting
	with `_'.
	(handle_installdirs): Rename _am_installdirs to	am__installdirs.
	* lib/am/data.am, lib/am/install.am, lib/am/libs.am,
	lib/am/lisp.am, lib/am/ltlibs.am, lib/am/mans.am,
	lib/am/progs.am, lib/am/python.am, lib/am/scripts.am,
	lib/am/texinfos.am: Likewise.
	* tests/canon5.test: Use -Wno-portability.
	* tests/vars2.test: New file.
	* tests/Makefile.am (TESTS): Add vars2.test.

2002-07-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (AUTOMAKE): Add -Wall.
	* tests/outdir.test: Use -Wno-obsolete.

2002-07-07  Tom Tromey  <tromey@redhat.com>

	* m4/depend.m4 (_AM_DEPENDENCIES): Compute am__fastdep<compiler>
	conditional.
	* automake.in (handle_languages): Compute FASTDEP.
	* lib/am/depend2.am: Added %FASTDEP% mode.

2002-07-07  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Optional): AM_MAINTAINER_MODE is ok in Gnits mode
	now.  Fixes PR automake/332.

2002-07-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/nobase.test (test-install-exec): Move all the `test -f'
	tests in the Makefile so we can use $(EXEEXT) on programs.
	Reported by Charles Wilson.

2002-07-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/header.m4 (AM_CONFIG_HEADER): New macro.
	* tests/confh5.test: Make sure that Autoconf complains if
	AM_CONFIG_HEADER or AC_CONFIG_HEADERS is called before
	AM_INIT_AUTOMAKE.

2002-07-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/Automake/Channels.pm: New file.
	* lib/Automake/Makefile.am (dist_perllib_DATA): Add Channels.pm.
	* automake.in: Use Automake::Channels and register some channels
	for errors and warnings.
	($exit_status): Remove, replaced by Channels::$exit_code.
	(%required_variables): Remove, Channels will filter-out duplicates
	itself.
	(initialize_per_input): Call reset_local_duplicates.
	(prog_error): Adjust to all `msg'.
	(setup_warnings): New functions.
	(parse_arguments): Accept -W CATEGORY and --warnings=CATEGORY,
	call setup_warnings.
	(usage): Update usage text accordingly.
	(macro_dump, macros_dump): Return the dump as a string instead
	of printing it.
	(am_install_var) <$warned_about_extra>: Remove, Channels will
	filter-out duplicates itself.
	(set_strictness): Turn on/off channels for each stricness.
	(err, fatal, err_var, err_target, err_am, err_ac, msg_var,
	msg_target, msg_am, msg_ac, reject_var, reject_target, verb):
	New functions, to replace ...
	(print_error, am_error, file_error, macro_error, target_error,
	conf_error, file_warning): ... these functions.  Remove them.
	Update all the code to use the new functions.  The rough
	correspondance is
	   am_error                -> err_am
	   file_error              -> err
	   macro_error             -> err_var
	   target_error            -> err_target
	   conf_error              -> err_ac
	   die                     -> fatal
	   macro_error if defined  -> reject_var
	   target_error if defined -> reject_target
	   verbose                 -> verb
	* automake.texi	(Invoking Automake): Document -W and --warnings.
	Remove the documentation for --Werror and --Wno-error.
	* tests/defs: Use -Werror, no --Werror.
	* tests/exeext2.test: Test that the error message
	is enabled with -Wobsolete.
	* tests/output5.test: Rewrite to test that Automake complains
	when there is no Makefile specified. (The original test was
	succeeding for the wrong reason.)
	* tests/seenc.test: Don't use --Wno-error, there is no reason now
	that -Werror doesn't stop after the first error.
	* tests/subobj.test: Use --add-missing, and check that
	`compile' is installed and that Automake says so.
	* tests/subobj2.test: Don't create `compile'.

2002-07-05  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Java Support): Mention --main and _LDFLAGS.
	For PR automake/324.

2002-07-04  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/asm.test: Erase Autom4te's cache between each test.

2002-07-03  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (am_macro_for_var): Add LIBTOOL.
	(ac_macro_for_var): Add RANLIB.
	(seen_libtool): Remove.
	(handle_libtool, lang_c_finish,	define_compiler_variable,
	make_paragraphs): Use
	variable_defined ('LIBTOOL') instead of $seen_libtool.
	(handle_languages) <%transform>: Don't set 'LIBTOOL', it is
	already done in make_paragraphs.
	(handle_libraries): Simplify by requiring RANLIB with
	&require_variables_for_macro.
	(handle_ltlibraries): Simplify by requiring LIBTOOL with
	&require_variables_for_macro.
	(scan_autoconf_traces): Don't trace for AC_PROG_LIBTOOL and
	AM_PROG_LIBTOOL.
	* tests/libtool4.test, tests/library2.test: New files.
	* tests/Makefile.in (TESTS): Add libtool4.test and library2.test.

2002-07-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (create, keyed_aclocal_warning): Delete, unused.

2002-07-01  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (ac_macro_for_var): Add YACC.

2002-07-01  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Handle multiple suffix rules with the same input extension.
	For PR automake/37.

	* automake.in (suffix_rules_default): New variable.
	(suffix_rules): Redefine as a hash of hashes of pairs.
	(initialize_per_input): Setup suffix_rules_default from
	suffix_rules on first call, an override suffix_rules
	with suffix_rules_default on following calls.
	(struct) <output_extensions>: New attribute.
	(register_language): Set the default for output_extensions.
	Call register_suffix_rule for each suffix.
	(derive_suffix, handle_languages): Adjust to the new definition
	of $suffix.
	(register_suffix_rule): New function.
	(rule_define): Call register_suffix_rule.
	* tests/suffix8.test, tests/suffix9.test, tests/suffix10.test:
	New files.
	* tests/Makefile.am (TESTS): Add them.

2002-06-30  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (am_macro_for_var, ac_macro_for_var,
	required_variables): New variables.
	(am_c_prototypes, seen_prog_lex, am_lispdir_location,
	pythondir_location): Remove.
	(initialize_per_input): Clear %required_variables.
	(require_variables, require_variables_for_macro): New functions.
	(handle_languages): Call &require_variables for $lang->config_vars.
	(handle_compile): Call &require_variables_for_macro for the
	ANSI2KNR and U variables.
	(handle_emacs_lisp): Call &require_variables for EMACS and libdir.
	(handle_python): Call &require_variables for PYTHON.  Don't
	explicitly allow `python' as a prefix for PYTHON.
	(scan_autoconf_traces): Don't scan AC_PROG_LEX, AM_C_PROTOTYPES,
	AM_PATH_LISPDIR, and AM_PATH_PYTHON.
	(scan_autoconf_traces) <AC_SUBST>: Don't filter out ANSI2KNR and
	AMDEPBACKSLASH here...
	(define_configure_variable): ... do this here.
	(am_primary_prefixes): Probe the existence of ${X}dir using
	&require_variables_for_macro.  If a standard prefix is not
	legitimate, say so.  Ignore all configure variables.
	* tests/ansi8.test, tests/cxx2.test, tests/gcj5.test,
	tests/lisp2.test, tests/python2.test: New files
	* tests/Makefile.am (TESTS): Add them.
	* tests/asm.test: Grep stderr.
	* tests/lex2.test: Rewrite to test that Automake suggests AM_PROG_LEX.
	* tests/python.test: Make sure py-compile is installed.

2002-06-27  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (LANG_IGNORE, LANG_PROCESS, LANG_SUBDIR,
	COMPILE_LIBTOOL, COMPILE_ORDINARY): Redefine as constants.
	Adjust all occurrences.

2002-06-27  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* aclocal.in: Add local variables so that Emacs setups GNU style
	for perl-mode and cperl-mode.
	* automake.in: Likewise.
	(WHITE_PATTERN, RULE_PATTERN, SUFFIX_RULE_PATTERN, MACRO_PATTERN,
	ASSIGNMENT_PATTERN, IF_PATTERN, ELSE_PATTERN, ENDIF_PATTERN,
	INCLUDE_PATTERN, EXEC_DIR_PATTERN): Write $ as "\$" to please
	perl-mode.

2002-06-27  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (fetch): Fetch install-sh from Autoconf CVS.
	* lib/config.sub, lib/install-sh: New upstream versions.

2002-06-26  Paul Eggert  <eggert@twinsun.com>

	* Makefile.am (maintainer-check): Don't assume that egrep exists;
	this fixes a portability bug introduced in the 2002-06-08 fix for
	PR automake/317.

2002-06-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (required_targets): Add ps and ps-am.
	(initialize_per_input): Reset them.
	(handle_texinfo_helper): Fill @pss_list, and define the
	PSS make variable.
	* lib/am/texinfos.am (RECURSIVE_TARGETS): Add ps-recursive.
	(ps, ps-am): New targets.
	* automake.texi (Auxiliary Programs) <texinfo.tex>: Mention
	`make ps' and `make pdf'.
	(Texinfo): Document `make ps', `make pdf', and `make dvi'.
	(Extending): The `ps' and `pdf' targets support a `-local' version.

2002-06-26  Art Haas  <ahaas@neosoft.com>

	* automake.texi: s/.../@dots{}/.

2002-06-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Check that ln works, fall back to `cp -p'.
	* Makefile.am (install-exec-hook): Use $(LN) instead of ln.
	Reported by Andreas Buening.

2002-06-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in: Register &lang_lex_target_hook for lex and lexxx.
	(lang_lex_target_hook): New function.
	* tests/lex3.c: Complete to check that maintainer-clean erases
	Lex's output.
	Reported by Flavien Astraud.  This was lost on 2001-06-23 too.

2002-06-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (lang_yacc_target_hook): Add $output to
	@maintainer_clean_files.  This was lost on 2001-06-23.
	* tests/yacc7.test, tests/yacc4.test: Complete to check
	that maintainer-clean erases YACC's output files,
	respectively with and without `-d'.
	Reported by Flavien Astraud.

2002-06-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/lang-compile.am (%FPFX%DEPMODE): Delete.  This is now
	traced from configure.ac.

	* automake.in (macro_define): Don't accept to override an AC_SUBST
	or Automake variable in a new condition.
	* tests/cond23.test, tests/cond24.test: New file.
	* tests/Makefile.am (TESTS): Add cond23.test and cond24.test.
	Reported by Patrik Weiskirchre.

2002-06-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/nobase.test, tests/pr204.test, tests/pr300-lib.test,
	tests/pr300-ltlib.test, tests/pr300-prog.test,
	tests/specflags7.test, tests/specflags8.test, tests/subdir5.test,
	tests/subobj6.test, tests/subpkg.test, tests/transform.test:
	Require gcc.

2002-06-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/libtool2.test: Use required=libtoolize.
	* tests/install2.test: Use required=gzip.

2002-06-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (required): Handle bison; set YACC automatically.
	* tests/pr204.test, tests/yacc4.test, tests/yacc8.test,
	tests/yaccvpath.test: Require bison.  Don't set YACC.

2002-06-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (required): Handle `gcc' and `g++'; automatically
	export CC and CXX when they are required.
	* tests/ansi3.test, tests/ansi5.test, tests/ccnoco.test,
	tests/cond4.test, tests/cond16.test, tests/cond18.test,
	tests/cond19.test, tests/depcomp2.test, tests/depend2.test,
	tests/lex3.test, tests/pr87.test, tests/pr220.test,
	tests/substref.test, tests/target-cflags.test, tests/yacc4.test,
	tests/yaccvpath.test: Require gcc.  Don't pass CC=gcc to
	configure.
	* tests/subobj9.test: Require g++.

2002-06-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (required): Handle `GNUmake'.
	(needs_gnu_make): Don't define anymore.
	* tests/cond4.test, tests/cond18.test, tests/cond19.test,
	tests/dollar.test, tests/exsource.test, tests/extra6.test,
	tests/lex3.test, tests/make.test, tests/pr9.test, tests/pr87.test,
	tests/subdir5.test, tests/target-cflags.test, tests/yacc7.test,
	tests/yaccvpath.test: Use `required=GNUmake' instead of
	`$needs_gnu_make'.

2002-06-17  Paolo Bonzini  <bonzini@gnu.org>

	* automake.in (process_option_list): Recognize std-options.
	(handle_options): Enable std-options in gnits strictness.
	(am_install_var): If std-options, enable CK-OPTS section.
	* lib/am/scripts.am (installcheck-am): New target.
	* lib/am/progs.am (installcheck-am): New target.
	* tests/gnits2.test: New file.
	* tests/Makefile.am (TESTS): Add gnits2.test.
	* automake.texi (Gnits, Options): Document std-options.

2002-06-17  Kevin Ryde  <user42@zip.com.au>

	* automake.in (scan_texinfo_file): Add tmp to @clean_suffixes,
	as generated by recent texinfo.tex.

2002-06-14  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/header.m4 (AM_CONFIG_HEADER): Rename to ...
	(_AM_CONFIG_HEADERS): ... this.
	(_AM_CONFIG_HEADER_INSINUATE): Define AC_CONFIG_HEADERS to
	call _AM_CONFIG_HEADERS; and AM_CONFIG_HEADER to call
	AC_CONFIG_HEADERS.
	* automake.in (scan_autoconf_traces): Trace AC_CONFIG_HEADERS
	instead of AM_CONFIG_HEADER.
	* tests/autoheader2.test: New file.
	* tests/Makefile.am (TESTS): Add autoheader2.test.
	Suggested by Raja R Harinath.

2002-06-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/header.m4 (_AM_CONFIG_HEADER_INSINUATE): Use m4_copy instead
	of m4_rename so that AC_CONFIG_HEADER is never undefined and
	therefore still traced after the redefinition.
	* tests/defs (AUTOHEADER): Define.
	* tests/autoheader.test: New file.
	* tests/Makefile.am (TESTS): Add autoheader.test.
	Reported by Braden McDaniel.

2002-06-13  Paolo Bonzini  <bonzini@gnu.org>

	* automake.in (check_gnu_standards): In --gnu mode, accept
	one of COPTING, COPYING.LESSER, or COPYING.LIB.
	(common_files): Add COPYING.LESSER.
	* automake.texi (Gnits): Document this.

2002-06-13  Paolo Bonzini  <bonzini@gnu.org>

	* automake.in (required_targets): Add the pdf and pdf-am targets.
	(initialize_per_input): Likewise.
	(scan_texinfo_file): Add pdf to @clean_suffixes.
	(handle_texinfo_helper): Output the .pdf dependencies, and define
	the PDFS variable.
	* lib/am/texinfos.am (TEXI2PDF): New variable.
	(pdf, pdf-am): New targets.
	(.PHONY): Add pdf, pdf-am, and pdf-recursive.
	* lib/am/texibuild.am (.%SUFFIX%.pdf): New rule.

2002-06-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix pr307.test failure with gcc 3.x.
	* lib/depcomp (dashmstdout): Strip the call to libtool, and
	replace `-o $object' by `-o /dev/null' before running "$@"
	to generate dependencies.
	(cpp): Strip the call to libtool as well as `-o $object'.

2002-06-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/depcomp (tru64): Expect dependency files in .libs/, maybe as
	$base.lo.d, when libtool is used.
	Reported by Nicolas Joly.

2002-06-11  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/java.am (class%DIR%.stamp): Don't run $(JAVAC) when there
	is no file to compile.
	* tests/java2.test: New file.
	* tests/Makefile.am (TESTS): Add java2.test.
	Reported by Braden N. McDaniel.

2002-06-11  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/maintclean.test: Don't check for autom4te.cache if
	it's not created by Autoconf.
	Reported by Bernd Jendrissek.

2002-06-11  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Tests): Document site.exp.  Update DejaGnu's url.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/header-vars.am (transform): Define.
	Was removed by mistake on 2002-04-13.
	* tests/transform.test: New file.
	* tests/Makefile.am (TESTS): Add transform.test.
	Reported by Nicolas Joly.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dollar.test: Require GNU make.
	* tests/maintclean.test: Don't use `export YACC=false'.  Pass
	YACC=false to configure instead.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/config.guess, lib/config.sub, lib/texinfo.tex, lib/INSTALL,
	INSTALL: New upstream versions.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/sinclude.test: Check for m4_include too.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/sinclude.test: Rename the package as amsinclude;
	am__sinclude still trigers the sinclude macro once it has been
	converted to am--sinclude.
	Reported by Nicolas Joly.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (API versioning): Typo.

2002-06-10  Nicolas Joly  <njoly@pasteur.fr>

	* THANKS (Nicolas Joly): Remove duplicate.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Fix $MAKE -e detection.
	* tests/yacc7.test: Use rm -f.

2002-06-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (ACLOCAL, AUTOMAKE): Use absolute paths.
	* tests/subpkg.test: New file.
	* tests/Makefile.am (TESTS): Add subpkg.test.

2002-06-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/318:
	* tests/nobase.test: Rewrite to test _HEADERS, _DATA, _SCRIPTS,
	_PROGRAMS, _LIBRARIES, and _LTLIBRARIES.
	* lib/am/scripts.am (install-%DIR%SCRIPTS,
	uninstall-%DIR%SCRIPTS): Honor nobase_; strip the directory by
	default.
	(?%DIR%SCRIPT_INSTALL): New variable.
	* lib/am/header-vars.am (install_sh_SCRIPT): New variable.
	Reported by Eric Siegerman.

2002-06-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (lang_yacc_target_hook): Add rule to recover from
	the removal of $header.
	* lib/am/yacc.am (%BASE%.h): Remove (duplicate with the one
	output by lang_yacc_target_hook).
	* tests/yacc7.test: Try to recreate foo.h after its removal.
	* tests/yacc8.test: Add `AM_YFLAGS = -d' and try to recreate
	parse.h too.
	Reported by Bernd Jendrissek.

2002-06-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/317:
	* Makefile.am (maintainer-check): Disallow `for f in $(FILES)',
	suggest `list='$(FILES)'; for f in $$list' instead.
	* lib/am/distdir.am (distdir): Adjust `for' usage.
	* lib/am/texinfos.am (maintainer-clean-aminfo): Likewise.
	* tests/dollar.test: New file.
	* tests/Makefile.am (TESTS): Add dollar.test.
	Reported by Eric Siegerman and Philip Fong.

2002-06-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/47 (fixed a long time ago):
	* tests/yacc7.test: Also check that parser sources are distributed.

2002-06-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/configure.am (am__CONFIG_DISTCLEAN_FILES): New variable.
	(distclean): Use it.
	(maintainer-clean): Delete autom4te.cache and
	$(am__CONFIG_DISTCLEAN_FILES).
	* tests/maintclean.test: New file.
	* tests/Makefile.am (TESTS): Add maintclean.test.

2002-06-05  Miloslav Trmac  <trmac@popelka.ms.mff.cuni.cz>

	* lib/am/dejagnu.am (site.exp): Quote build_alias, host_alias, and
	target_alias.

2002-05-31  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Check for egrep and fgrep.

	* test/cond22.test: Set SHELL when calling $MAKE -e.

2002-05-31  Richard Boulton <richard@tartarus.org>

	Fix PR automake/326:
	* automake.in (define_objects_from_sources): Calculate the result in
	all conditions before passing this to subobjname to pick a name to
	store the result in.
	(subobjname): Expect a list of condition/value pairs as input.
	Combine this list and use it as the key to determine the variable name.
	* test/cond22.test: New file.
	* tests/Makefile.am (TESTS): Add cond22.test

2002-05-30  Paul Eggert  <eggert@twinsun.com>

	* lib/am/distdir.am (distdir): Don't assume that 'grep -F' works;
	instead, use shell pattern matching.

2002-05-29  Paul Eggert  <eggert@twinsun.com>

	Don't assume that egrep and fgrep exist, as POSIX 1003.1-2001 no
	longer requires them.

	* Makefile.am (maintainer-check): Use grep -E and grep -F instead
	of egrep and fgrep.  Omit unnecessary -E and -F.
	Fix quoting typo -- "fgrep '\$${'" should have been "fgrep '$${'".
	* lib/am/distdir.am (distdir): fgrep -> grep -F.
	Use $(), not ${}, for Make variables.
	* lib/am/texinfos.am (install-info-am, uninstall-info-am):
	fgrep -> grep
	* m4/make.m4 (AM_MAKE_INCLUDE): Likewise.
	* tests/defs: Set FGREP and EGREP.

	* tests/aclocali.test, tests/acoutput2.test, tests/all.test,
	tests/ansi.test, tests/ansi4.test, tests/colon3.test,
	tests/cond21.test, tests/condlib.test, tests/confh4.test,
	tests/confsub.test, tests/cxxansi.test, tests/cxxo.test,
	tests/depend4.test, tests/discover.test, tests/distname.test,
	tests/dup3.test, tests/empty4.test, tests/fo.test,
	tests/implicit.test, tests/insh2.test, tests/interp.test,
	tests/lex.test, tests/lex3.test, tests/lex4.test,
	tests/libobj5.test, tests/libobj7.test, tests/make.test,
	tests/makevars.test, tests/nostdinc.test, tests/parse.test,
	tests/pluseq.test, tests/pluseq4.test, tests/pluseq6.test,
	tests/pr2.test, tests/pr9.test, tests/seenc.test,
	tests/specflags.test, tests/specflags3.test,
	tests/specflags6.test, tests/subobj.test, tests/subobj2.test,
	tests/suffix3.test, tests/texinfo.test, tests/texinfo6.test,
	tests/texinfo8.test, tests/vtexi.test, tests/yacc3.test,
	tests/yacc6.test: fgrep -> $FGREP, egrep -> $EGREP

2002-05-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/323:
	* m4/depend.m4: Missing comma.
	* tests/gcj4.test: New file.
	* tests/Makefile.am (TESTS): Add gcj4.test.
	Reported by David Pashley.

2002-05-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (configure.in): Don't double-quote $me.
	* tests/sinclude.test: Overwrite configure.in and use
	`am__sinclude' instead of `sinclude' as package name.
	Excercise `m4_sinclude' instead of `sinclude'.

2002-05-20  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (conditional_implies_one_of): Rename as ...
	(conditional_implies_any): ... this.
	* tests/pluseq9.test: Exercise another case with the new
	`C' variable.
	Suggested by Raja R Harinath.

2002-05-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs (configure.in): Quote macro arguments.
	Reported by Nicolas Joly.

2002-05-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/header-vars.am (build_triplet, host_triplet,
	target_triplet): Define.  Were removed by mistake on 2002-04-13.

2002-05-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/186:
	* lib/am/distdir.am (distcheck): Attempt a DESTDIR install.
	* tests/destdir.test: New file.
	* tests/Makefile.am (TESTS): Add destdir.test.

2002-05-16  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (conditional_true_when): Return false if $WHEN == FALSE.
	(conditional_is_redundant): Simplify.
	(conditional_implies_one_of,
	variable_not_always_defined_in_cond): New functions
	(macro_define): Reject appends if the variable is not defined in
	all conditions where `+=' applies.
	(invert_conditions): Rewrite.  Before this patch,
	invert_conditions("A_TRUE B_TRUE", "A_TRUE B_FALSE", "A_FALSE")
	would return ("A_FALSE B_TRUE", "A_FALSE B_TRUE"), which seems
	wrong (these conditions implies "A_FALSE").  Now it outputs (),
	which just means the input conditions cover all cases.
	(variable_conditions_permutations): Never output FALSE conditions.
	* tests/pluseq2.test, tests/pluseq3.test: Define data_DATA
	in the CHECK_FALSE condition to fix the test.
	* tests/pluseq5.test: Actually check the diagnostic.
	* tests/pluseq9.test: New file.
	* tests/Makefile.am (TESTS): Add pluseq9.test.

2002-05-14  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/322:
	* automake.in (read_am_file): Rename $was_rule as $prev_state, and
	set it with IN_RULE_DEF, IN_VAR_DEF, or IN_COMMENT as appropriate.
	Handle comments continued by backslashes.
	* tests/comment6.test: New file.
	* tests/Makefile.am (TESTS): Add comment6.test.
	Reported by Braden N. McDaniel.

2002-05-08  Charles Wilson  <cwilson@ece.gatech.edu>
            Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/progs.am (clean-%DIR%PROGRAMS): If Libtool is used, clean
	both `program$(EXEEXT)' and `program'; needed under Cygwin.
	* tests/libtool3.test: New file.
	* tests/Makefile.am (TESTS): Add libtool3.test.

2002-05-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* TODO: Undust.

2002-05-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (FETCHFILES, fetch): Get INSTALL from Autoconf CVS.

2002-05-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Erase stamps from the Makefile that generates them.

	* automake.in (handle_configure): Append each used stamp to
	@distclean_config.  Don't warn about stamp-h in AC_OUTPUT, this
	file is not used anymore.
	* lib/am/clean.am (distclean-generic): Don't erase stamp-h and
	stamp-h[0-9]*.
	* tests/subdir6.test: New file.
	* tests/Makefile.am (TESTS): Add it.

2002-05-06  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for condd.test (conditional `+='):
	* automake.in (%appendvar): New.
	(initialize_per_input): Clear it.
	(macro_define): Handle += for variable defined in another condition.
	* automake.texi (Conditional Sources): Use conditional += in
	the example.
	(General Operation, Conditionals): Remove note about broken +=.
	* tests/cond21.test: New file.
	* tests/condd.test: Also test conditional append to a _SOURCE
	variable.  Create missing directories.
	* tests/Makefile.am (TESTS): Add cond21.test.
	(XFAILS): Remove condd.test.

2002-05-05  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Program and Library Variables): Mention _LFLAGS.

2002-04-30  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/ltlib.am (clean-%DIR%LTLIBRARIES): Erase so_locations
	files.  Fix subobj9.test on OSF and IRIX.
	Reported by Nelson H. F. Beebe.

2002-04-26  Tom Tromey  <tromey@redhat.com>

	* lib/am/dejagnu.am (distclean-DEJAGNU): New target.
	For Debian bug 144221.

2002-04-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/man2.test: Use `pwd`, not $PWD.  Use $MAKE -e.

2002-04-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (subobjname): Use the length of %subobjvar
	instead	of $subobjnamenum.
	(subobjnamenum): Remove.

2002-04-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/307:
	* lib/depcomp: Never compute dependencies in the background, this
	can cause races with libtool.  Compute the dependencies after
	the actual compilation.  Don't make libtool silent now that
	it's run in the foreground.
	* tests/pr307.test: New file.
	* tests/Makefile.am (TESTS): Add pr307.test.
	Reported by Laurent Morichetti.

2002-04-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/check.am: Show skipped tests.  Display the
	$(PACKAGE_BUGREPORT) address on failure.

2002-04-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix PR automake/315:
	* automake.in (subobjname): Rewrite to generate variable name
	unique for each content.
	(%substnums): Remove.
	(%subobjvar): New hash.
	(initialize_per_input): Clear %subobjvar.
	(define_objects_from_sources): Return the name of the variable
	defined, in addition to the linker.  Call subobjname only once
	the content of the variable to define is known.
	(handle_source_transform): Adjust call to define_objects_from_sources.
	* tests/specflags8.test: Mention PR 315.
	* tests/subobjname.test: New file.
	* tests/Makefile.am (XFAIL_TESTS): Remove specflags8.test.
	(TESTS): Add subobjname.test.

2002-04-23  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/depout.m4 (_AM_OUTPUT_DEPENDENCY_COMMANDS): Grep
	the whole file for 'generated by automake', not only the
	first line.  This accounts for post-processed Makefile.in's.
	* tests/postproc.test: New file.
	* tests/Makefile.am (TESTS): Add postproc.test.

2002-04-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	For PR automake/151 and PR automake/314:
	* automake.texi (A Program): Split into
	(Program Sources, Linking, Conditional Sources, Conditional
	Programs): ... these subsections; moving the Linking node
	before the Conditional discussions.
	(Conditional Sources): More details.  Notably, mention
	hello_DEPENDENCIES.
	(Conditionals): Adjust reference to Conditional Programs.

2002-04-19  Paul Eggert  <eggert@twinsun.com>

	Fix some bugs when using "$@" when there might be zero positional
	arguments in cases where this matters.  Zsh doesn't support
	the workaround ${1+"$@"} that has been used by Automake since
	the Mon Dec  4 11:55:36 1995 change.

	* aclocal.in: Use 'case' statement to work around problem.
	* automake.in: Likewise.
	* lib/ylwrap: Likewise.
	* lib/missing: No need for workaround, as the command is never
	invoked with zero arguments.
	* tests/ccnoco.test: Likewise.
	* missing: Update from lib/missing.

2002-04-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (initialize_per_input): Clear %require_file_found.
	(%require_file_found): Group the declaration with the other
	variables initialized by initialize_per_input.
	* tests/required.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	Reported by Marius Vollmer.

2002-04-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/header.m4 (_AM_CONFIG_HEADER_INSINUATE): New function,
	override AC_CONFIG_HEADERS with AM_CONFIG_HEADER.
	(_AM_CONFIG_HEADER): Use _AM_AC_CONFIG_HEADERS.
	* m4/init.m4: Call _AM_CONFIG_HEADER_INSINUATE.
	* tests/stamph2.test: Use AC_CONFIG_HEADERS for some of the config
	files.
	* tests/confh5.test: New file.
	* tests/Makefile.am (TESTS): Add confh5.test.
	* automake.texi (Optional, Public macros): Update descriptions
	of AC_CONFIG_HEADERS and AM_CONFIG_HEADER.

2002-04-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/man2.test: New file.
	* tests/Makefile.am (TESTS): Add man2.test.
	* lib/am/mans.am (install-man%SECTION%): Change the extension
	of the man pages being installed, as documented.

2002-04-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Enable traces; wipe out the old configure.in parser.

	* automake.in (scan_autoconf_traces): Use '$ENF{AUTOCONF}' of
	'autoconf'.  Honnor the $filename argument.
	(scan_autoconf_files): Don't call scan_one_autoconf_file.
	Always call scan_autoconf_traces.
	(scan_one_autoconf_file): Remove, with it associated regexes.
	(obsolete, obsolete_rx): Remove.
	(register_language, handle_languages): Remove the 'define_flag'
	support.  Remove it from the struct and language definitions too.
	(unquote_m4_arg): Remove.
	* lib/am/header-vars.am, lib/am/compile.am, lib/am/lisp.am: Remove
	the `FOO = @FOO@' definitions for all AC_SUBST'ed variables.  They
	are now generated automatically.
	* aclocal.in (obsolete_macros): Don't mention obsolete_macros in
	automake.in.
	* automake.texi (Invoking Automake): Mention the AUTOCONF envvar.

2002-04-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/version6.test: New file.
	* tests/Makefile.am (TESTS): Add tests/version6.test.
	* automake.in (version_check): Return 0 on equality.

2002-04-13  Andreas Schwab  <schwab@suse.de>

	* THANKS: Update my mail address.

2002-04-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/discover.test: Use a full configure.in that calls AC_INIT.
	Use AC_LIBOBJ.  Grep the error message.
	* test/ldadd.test: Don't use LIBOBJS.  Use a full configure.in.
	Grep the error message.  Require libtool.
	* tests/ldflags.test:  Don't use LIBOBJS.
	* tests/seenc.test: Use AC_LIBOBJ, --Wno-error, and grep the
	error messages for CC and CXX.

2002-04-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (scan_autoconf_traces) <AC_SUBST>: Ignore ANSI2KNR
	and AMDEPBACKSLASH.
	* tests/distcommon2.test: Use a full configure.in that calls AC_INIT.
	* tests/ext.test: Enable dependencies for OBJC.
	* tests/libobj.test, tests/libobj6.test, tests/libobj9.test:
	Delete.  They tests for different flavors of $LIBOBJS assignments
	that wont be supported anymore.
	* tests/libobj2.test, tests/libobj10.test: Use AC_LIBOBJ.
	* tests/obsolete.test: Don't test Automake.
	* tests/suffix5.test: Require libtool.
	* tests/Makefile.am (TESTS): Remove libobj.test, libobj6.test and
	libobj9.test.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in (APIVERSION): Fix definition.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* NEWS: Catch up with changes since 1.6.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/yacc8.test: Don't assume GNU make, run config.status
	to regenerate the Makefile.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Make sure `$MAKE -e' is
	always followed by a SHELL setting.
	* tests/ansi3.test, tests/ansi5.test, tests/subobj3.test: Set
	SHELL when calling `$MAKE -e'.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/subobj9.test: Use configure.in, not configure.ac,
	otherwise this fails with old libtool versions.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/config.guess, lib/config.sub, lib/texinfo.tex: New upstream
	versions.

2002-04-10  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* ChangeLog.2001: New file, extracted from ChangeLog.
	* Makefile.am (EXTRA_DIST): Add it.

2002-04-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Canonicalization): The sources for libmumble++.a
	go into libmumble___a_SOURCES.

2002-04-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Check for `sleep 1' uses in the
	test suite.  Suggest `sleep 2' instead.
	* tests/confsub.test: Use `sleep 2'.

2002-04-04  Paul Eggert  <eggert@twinsun.com>

	* lib/am/subdirs.am:
	($(RECURSIVE_TARGETS), maintainer-clean-recursive):
	$(MAKEFLAGS) -> $$MAKEFLAGS, so that we don't run into problems if
	MAKEFLAGS contains '$(...)'.

2002-04-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/specflags8.test: Typo.

2002-04-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/specflags6.test: Run aclocal.
	* tests/Makefile.am (TESTS): Add specflags6.test.

2002-04-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/specflags7.test, tests/specflags8.test: New files.
	* tests/Makefile.am (TESTS): Add them.
	(XFAIL_TESTS): Add specflags8.test.

2002-03-29  Tom Tromey  <tromey@redhat.com>

	* automake.in (check_typos): Examine AM_LDFLAGS.
	Fixes PR automake/311.

	For PR automake/312:
	* lib/am/libtool.am (clean-libtool): Use LTRMS.
	* automake.in (handle_single_transform_list): When processing a
	libtool object, clean the ordinary object and register the
	directory.
	(libtool_clean_directories): New global.
	(initialize_per_input): Initialize it.
	(generate_makefile): Call handle_libtool later.
	(handle_libtool): Handle libtool_clean_directories.
	* tests/subobj9.test: New file.
	* tests/Makefile.am (TESTS): Added subobj9.test.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/extra6.test, tests/subdir5.test: Require GNU make.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dup3.test (ACLOCAL): s/srcdir/testsrcdir/.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/extra7.test: New file.
	* tests/Makefile.am: Add it.
	* lib/am/distdir.an (distdir): When a distribuable directory
	exists both in `.' and $(srcdir), merge both directories.  This
	works around a failure of extra6.test on Tru64 reported by
	Nicolas Joly.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/pr87.test, tests/yaccvpath.test: Require GNU make.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Catch occurrences of
	`$MAKE foo=bar' in the testsuite.  Suggest using
	`foo=bar $MAKE -e' instead.
	* tests/ansi3.test, tests/ansi5.test, tests/subobj3.test:
	Use $MAKE -e.  This fixes a ansi5.test failure with Solaris make.
	* tests/defs: Unset $srcdir, and set $testsrcdir to its old value.
	* tests/installsh.test (AUTOMAKE, ACLOCAL): Use $testsrcdir.

2002-03-26  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/310:
	* lib/am/depend2.am, lib/am/lex.am, lib/am/yacc.am: Quote %SOURCE%
	so it never appears as a plain word.

2002-03-25  Angus Leeming  <a.leeming@ic.ac.uk>

	* lib/depcomp (tru64): Correctly compute `base'.

2002-03-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/pr211.test: s/requires/required/, otherwise the test fails
	if libtool is not installed.

2002-03-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dirname.test: Don't use $SHELL when calling ./configure.

2002-03-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dirname.test: Use --quiet to fix failure on installations
	using a site script.
	Reported by Nicolas Joly.

2002-03-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (maintainer-check): Check for misuses of make,
	autoconf, automake, aclocal, and perl in the testsuite.  Suggest
	using $MAKE, $AUTOCONF, $AUTOMAKE, $ACLOCAL, and $PERL instead.
	* tests/confsub.test: Use $AUTOCONF and $MAKE.
	* tests/extra5.test, tests/extra6.test, tests/lex5.test,
	tests/nobase.test, tests/nodist2.test, tests/pr204.test,
	tests/pr224.test, tests/pr287.test, tests/strip.test,
	tests/yacc8.test: Use $MAKE.

2002-03-20  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Add support for two-dot versions.

	* tests/version5.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	* automake.in (version_split, version_compare): New functions.
	(version_check): Rewrite using version_split and version_compare.
	(process_option_list): Adjust regex.

2002-03-18  Richard Boulton <richard@tartarus.org>

	Fix for PR automake/306:
	* automake.texi (Generalities): Document +=.
	(Conditionals): Document limitations of += with conditionals.

2002-03-17  Tom Tromey  <tromey@redhat.com>

	Fix for PR automake/295:
	* automake.texi (Invoking Automake): Deprecate --output-dir.
	* automake.in (usage): Don't document --output-dir.
	(output_directory): Don't initialize.
	(parse_arguments): Deprecate --output-dir.

	* m4/init.m4 (AUTOMAKE, ACLOCAL): Removed extra quotes.
	Fixes PR automake/304.

2002-03-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dirforbid.test: Workaround for NetBSD sh bug.
	Fixes PR automake/305.

2002-03-11  Richard Boulton <richard@tartarus.org>

	* automake.in (check_typos): Allow variables with reserved
	suffices (such as _LDFLAGS) and prefixes which aren't
	recognised if the variable is defined in configure.ac.
	Fixes acsubst.test.

2002-03-11  Richard Boulton <richard@tartarus.org>

	* tests/acsubst.test: New test, by Alexandre Duret-Lutz
	* tests/acsubst2.test: New test, by Alexandre Duret-Lutz
	* tests/Makefile.am (TEST): Added acsubst.test and acsubst2.test

2002-03-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tests/defs: Unset DESTDIR, otherwise `make DESTDIR=/foo check'
	causes failures.

2002-03-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/303:
	* automake.in (version_check): Move the error message ...
	(process_option_list): ... here, so we can distinguish between
	global and local options.

2002-03-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/pr300-lib.test, tests/pr300-ltlib.test,
	tests/pr300-prog.test: Use AC_OUTPUT, not AC_OUTPUT(Makefile), so
	Autoconf doesn't complain about Makefile being output twice.

2002-03-06  Tom Tromey  <tromey@redhat.com>

	* configure.in: Upped version to 1.6a.

2002-03-05  Tom Tromey  <tromey@redhat.com>

	* configure.in: Released 1.6.

2002-03-05  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/300:
	* tests/pr300-lib.test, tests/pr300-ltlib.test,
	tests/pr300-prog.test: New files.
	* tests/Makefile.am (TESTS): Add them.
	* automake.in (handle_ltlibraries): Strip nobase_ prefix to
	compute	the directory.
	* lib/am/header-vars.am (install_sh_PROGRAM): New variable.
	* lib/am/libs.am (%DIR%LIBRARIES_INSTALL): New variable.
	(install-%DIR%LIBRARIES): Use it.  Honor nobase_.
	(uninstall-%DIR%LIBRARIES): Honor nobase_.
	* lib/am/ltlibs.am (%DIR%LTLIBRARIES_INSTALL): New variable.
	(install-%DIR%LTLIBRARIES): Use it.  Honor nobase_.
	(uninstall-%DIR%LTLIBRARIES): Honor nobase_.
	* lib/am/progs.am (%DIR%PROGRAMS_INSTALL): New variable.
	(install-%DIR%PROGRAMS): Use it.  Honor nobase_.
	(uninstall-%DIR%PROGRAMS): Honor nobase_.
	See also the fix for nobase.test on 2001-11-09.

2002-03-05  Tom Tromey  <tromey@redhat.com>

	* lib/config.sub, lib/config.guess, lib/texinfo.tex: Updated.

2002-03-05  Pavel Roskin  <proski@gnu.org>

	* tests/yacc8.test: Add a command between "test" and "cd" to
	work around a bug in bash-2.05.

2002-03-05  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/294:
	* tests/dirforbid.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	* automake.in (standard_prefix): New hash.
	(am_primary_prefixes): Forbid standard_prefixes which are not
	explicitely allowed.
	* automake.texi (Uniform): Remove FIXME.

2002-03-05  Jim Meyering  <meyering@lucent.com>

	* automake.in (@common_files): Add config.rpath.

2002-03-05  Kevin Ryde  <user42@zip.com.au>

	For PR automake/297:
	* lex.m4 (AM_PROG_LEX): Don't set LEX=${am_missing_run}flex until
	after AC_PROG_LEX, since it will try to run it and fail (in autoconf
	2.52 at least).

2002-02-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (scan_one_autoconf_file): Declare
	LEX_OUTPUT_ROOT and LEXLIB as configure variables when
	AM_PROG_LEX or AC_PROG_LEX are seen.  This allows to ...
	* lib/am/lex.am: ... remove the LEX_OUTPUT_ROOT and LEXLIB
	definitions.  Search %SOURCE% in $(srcdir).  Use s||| instead
	of s/// in the sed invocation, to support filenames containing
	slashes.
	* lib/am/yacc.am: Search %SOURCE% in $(srcdir).  Use s||| too.
	* tests/lex5.test, tests/yacc8.test: New files.
	* tests/Makefile.am (TESTS): Add them.

2002-02-23  Per Bothner  <per@bothner.com>

	* m4/depout.m4 (_AM_OUTPUT_DEPENDENCY_COMMANDS): Set `dirpart' to
	`.' in else branch.

2002-02-22  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/make.test: Revert the grep logic to work around a bug
	in NetBSD sh (see NetBSD Problem Report #11542).
	Reported by Patrick Welche.

2002-02-20  Tim Van Holder  <tim.van.holder@pandora.be>

	* m4/lispdir.m4: Redirect /dev/null to stdin when running $EMACS
	to try and prevent a non-lisp emacs from starting in interactive
	mode.
	* automake.texi: Document this change.

2002-02-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Macros): Split into ...
	(Public Macros, Private Macros): ... these.

2002-02-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/insthook.test: Use sed instead of "tail +X".

2002-02-18  Paul Eggert  <eggert@twinsun.com>

	* lib/depcomp: Don't use "tail +3"; it's not portable to
	POSIX 1003.1-2001 hosts.

2002-02-18  Jim Meyering  <meyering@lucent.com>

	* tests/cond12.test: Use sed 1q, not `head -n 1'.
	The latter is not portable to some old systems.
	* m4/depout.m4: Don't use `head -1'; it's no longer portable.
	Use `sed 1q' instead.
	* tests/insthook.test: Likewise.

2002-02-17  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (handle_lib_objects_cond): Tell the user to put
	global linker flags in AM_LDFLAGS, not LDFLAGS.

	* automake.texi (General Operation): AC_SUBST'ed variables
	override Automake's variables.
	(Uniform): More words and @refs.
	(Auxiliary Programs) <config.sub, config.guess>: Add URL.
	(etags): More explanations about the first example.
	(Invoking Automake): Mention autoreconf.  More @refs.
	(Requirements): Mention AC_CONFIG_FILES.
	(Optional): AC_CHECK_TOOL will no longer install config.sub and
	config.guess.  Mention AC_LIBOBJ, AC_LIBSOURCE, and AC_LIBSOURCES.
	(Invoking aclocal): aclocal no longer warn about duplicates.
	(Macros) <AM_INIT_AUTOMAKE>: More explanations.
	(Extending aclocal): Suggest using the output of
	`aclocal --print-ac-dir` to install third-party macros.
	(Alternative): Specify ordering of dist_, nodist_, and nobase_
	prefixes.
	(A Program): Mention scripts.  The global LDADD variable is not
	meant to hold link flags, suggest using AM_LDFLAGS instead.
	(Program and Library Variables) <maude_LIBADD, maude_LDADD>:
	_LIBADD and _LDADD are subject to the same restriction wrt to
	link flags.
	(Program and Library Variables) <maude_DEPENDECIES>: Is also
	derived from maude_LIBADD.
	(Program variables): Define AM_LDFLAGS.
	(Dependencies): Passing the no-dependencies option to
	AM_INIT_AUTOMAKE is prefered.
	(Scripts): Explain why automake is magically cleaned.
	Mention noinst_SCRIPTS and check_SCRIPTS.
	(Data): Use dist_ in Automake's example.
	(Dist): Reference AM_INIT_AUTOMAKE for PACKAGE and VERSION.
	Mention AC_CONFIG_FILES instead of AC_OUTPUT.

2002-02-14  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* Makefile.am (FETCHFILES): Add Automake/XFile.pm.
	(fetch): Fetch XFile.pm.  Update the files in $(srcdir) instead
	of asking the maintainer to do it manually.
	* lib/config.guess, lib/config.sub, lib/texinfo.tex,
	Automake/XFile.pm: New upstream versions.

2002-02-02  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Macros): Warn about upgrading.

2002-02-01  Tom Tromey  <tromey@redhat.com>

	Change per GNU coding standards:
	* aclocal.in (parse_arguments): Only mention most recent year in
	copyright output.
	* automake.in (version): Only mention most recent year.

2002-01-30  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (API versioning): New Node.
	(Extending): Use $(DESTDIR) in examples.

2002-01-28  Akim Demaille  <akim@epita.fr>

	* m4/lispdir.m4 (AM_PATH_LISPDIR): Serial 5.
	Respect the --help layout.

2002-01-27  Tom Tromey  <tromey@redhat.com>

	* configure.in: Bumped to 1.5e.

	* lib/am/yacc.am: Use `rm -f'.

	* configure.in: Released 1.5d.

	* lib/config.guess: New version from FSF.

	* Makefile.am (uninstall-hook): New target.

2002-01-24  Akim Demaille  <akim@epita.fr>

	* lib/install-sh: Update, from Autoconf.

2002-01-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (scan_one_autoconf_file): Don't treat AC_CHECK_TOOL
	as AC_CANONICAL_HOST (the former does not require the latter since
	Autoconf 2.50).
	* m4/strip.m4 (AM_PROG_INSTALL_STRIP): Check for strip.
	* automake.texi (Requirements): Do not require STRIP to be
	defined by the user.

2002-01-23  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/depend.am (distclean-depend): Erase %DEPDIRS%, not $(DEPDIRS).
	* automake.in (handle_languages): Compute and substitute %DEPDIRS%.
	* tests/pr224.test: Make sure .deps subdirectories are
	erased by distclean.

2002-01-22  Tom Tromey  <tromey@redhat.com>

	* m4/gcj.m4 (AM_PROG_GCJ): Don't invoke dependency code if
	no-dependencies option is set.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Don't invoke dependency code if
	no-dependencies option is set.  Don't call AM_DEP_TRACK or
	AM_SET_DEPDIR.

2002-01-22  Pavel Roskin  <proski@gnu.org>

	* tests/asm.test: Use CCAS and CCASFLAGS instead of AS and
	ASFLAGS.

2002-01-22  Akim Demaille  <akim@epita.fr>

	* Makefile.am (FETCHFILES): Remove ansi2knr.c, add texinfo.tex.
	(fetch): Adjust.

2002-01-21  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (fetch): Don't fetch ansi2knr.

	* automake.texi (Macros): Updated for new variable names.
	(Program and Library Variables): Likewise.
	(Assembly Support): Likewise.
	* m4/as.m4: Use CCAS and CCASFLAGS.
	* automake.in (asm): Use CCAS and CCASFLAGS.

2002-01-21  Akim Demaille  <akim@epita.fr>

	* automake.in (&parse_arguments): Use a more GNUish error message
	on wrong options.

2002-01-20  Tom Tromey  <tromey@redhat.com>

	Fix for PR automake/231:
	* m4/gcj.m4 (AM_PROG_GCJ): Use _AM_DEPENDENCIES(GCJ).
	* m4/depend.m4: Document `GCJ'.

	For PR automake/224:
	* tests/Makefile.am (TESTS): Added pr224.test.
	* tests/pr224.test: New file.
	* lib/depcomp: Fixed computation of depfile.
	* lib/am/depend2.am: Use %DEPBASE%, not $(DEPDIR).
	* automake.in (handle_single_transform_list): Only reject `..'
	component for Java.  Put dependencies in directory near object.
	(handle_languages): Set DEPBASE.  Handle de-ansi-fication.

2002-01-20  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/defs: Export AUTOMAKE and ACLOCAL.

2002-01-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/204:
	* tests/pr204.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	* automake.in (handle_single_transform_list): Don't distribute
	sources derived from non-distributed sources.

2002-01-18  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/229:
	* tests/pr229.test: New file.
	* tests/Makefile.am (TESTS): Add it.
	* automake.in (scan_one_autoconf_file): Recognize AC_CYGWIN,
	AC_EMXOS2, and AC_MINGW32.

2002-01-18  Tom Tromey  <tromey@redhat.com>

	* tests/cond7.test: Fix test bug exposed by copyright update.

	For PR automake/288:
	* automake.in (lang_c_rewrite): Don't prepend directory to base if
	directory is `.'.  Also, properly compute de_ansi_files entry in
	subdir-objects case
	* tests/Makefile.am (TESTS): Added ansi7.test.
	* tests/ansi7.test: New file.

	* aclocal.in (parse_arguments): Added 2002.
	(write_aclocal): Likewise.
	(parse_arguments): Updated my email address.
	* automake.in (gen_copyright): Added 2002.
	(version): Likewise.  Also, changed my email address.

	* configure.in (APIVERSION): Refined definition.

2002-01-18  Tom Tromey  <tromey@redhat.com>

	* missing: Updated.
	* lib/missing: Accept versioned aclocal.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Look for versioned aclocal.

2002-01-17  Pavel Roskin  <proski@gnu.org>

	* m4/Makefile.am (m4datadir): Use APIVERSION.

2002-01-16  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (install-exec-hook): Use APIVERSION.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Use am__api_version.
	* m4/amversion.in (AM_AUTOMAKE_VERSION): Set am__api_version from
	APIVERSION.
	* automake.in (perllibdir): Use APIVERSION.
	(libdir): Likewise.
	* aclocal.in (perllibdir): Use APIVERSION.
	(APIVERSION): New global.
	(parse_arguments): Use APIVERSION.
	* configure.in (APIVERSION): New subst.
	(pkgvdatadir): Use APIVERSION.

2002-01-15  Tom Tromey  <tromey@redhat.com>

	* missing: Updated.
	* lib/missing: Match against `automake*' to pick up versioned
	automake.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Use versioned automake name.
	* m4/amversion.in (AM_AUTOMAKE_VERSION): Set am__version
	variable.
	* lib/am/Makefile.am (amdir): Use pkgvdatadir.
	* lib/Makefile.am (dist_pkgvdata_DATA): Renamed to use
	pkgvdatadir.
	(scriptdir): Use pkgvdatadir.
	(installcheck-local): Likewise.
	* lib/Automake/Makefile.am (perllibdir): Use pkgvdatadir.
	* automake.in (perllibdir): Added VERSION.
	(libdir): Likewise.
	* aclocal.in (parse_arguments): Search versioned directory.  Don't
	push unversioned directory unless it exists.
	(perllibdir): Added VERSION.
	(default_acdir): New global.
	* m4/Makefile.am (m4datadir): Added $(VERSION).
	* Makefile.am (install-exec-hook): New target.
	* configure.in (ACLOCAL): Search build directory.
	(pkgvdatadir): New subst.

2002-01-15  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/config.sub, lib/config.guess: New versions from FSF.

2002-01-13  Tom Tromey  <tromey@redhat.com>

	For PR automake/288:
	* automake.in (lang_c_rewrite): Set value for de_ansi_files entry
	to directory.
	(lang_c_finish): Likewise.  Also, use directory information from
	de_ansi_files.

2002-01-13  Kevin Ryde  <user42@zip.com.au>

	For PR automake/288:
	* tests/Makefile.am (TESTS): Added ansi6.test.
	* tests/ansi6.test: New file.

2002-01-13  Tom Tromey  <tromey@redhat.com>

	For PR automake/287:
	* lib/am/distdir.am (distdir): Use `$$list' trick when looping
	over subdirs.
	* tests/Makefile.am (TESTS): Added pr287.test.
	* tests/pr287.test: New file.

2002-01-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/distdir.am (distdir): Handle subdirectories.
	* tests/extra6.test: New file.
	* tests/Makefile.am (TESTS): Add it.

2002-01-13  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/extra2.test: Run $ACLOCAL.

2002-01-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/init.m4 (AM_INIT_AUTOMAKE): Set PACKAGE and VERSION from
	AM_INIT_AUTOMAKE arguments when using the old-style call.
	Use AC_PACKAGE_TARNAME and AC_PACKAGE_VERSION in the new form only.
	Suggested by Pavel Roskin.

2002-01-12  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* test/nodefine.test, test/nodefine2.test: Check that no-define
	works, not the contrary...
	* m4/options.m4 (_AM_IF_OPTIONS): Use m4_ifset.
	* m4/init.m4 (AM_INIT_AUTOMAKE): A third argument implies no-define,
	not the contrary.

2002-01-12  Jim Meyering  <meyering@lucent.com>

	* automake.in (scan_one_autoconf_file): Unquote AC_LIBOBJ argument.
	* tests/libobj11.test: New file.
	* tests/Makefile.am (TESTS): Add libobj11.test.

2002-01-09  Ryan T. Sammartino  <ryants@shaw.ca>

	* lib/depcomp (msvisualcpp): Strip -Gm, -Gi, and -ZI options.

2002-01-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (file_contents_internal): Introduce two variables,
	$is_rule and $discard_rules to track rules spanning across multiple
	paragraphs.  This fixes a very nasty bug reported by Dmitry Mikhin
	where only the first paragraph of such a multi-paragraph rule was
	discarded; but it leaves many similar latent bugs (see the FIXMEs).

2002-01-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/dup3.test: Remove all -I from $ACLOCAL before using it.
	* tests/error.test: Use some macro names which are not defined by
	Automake itself.

2002-01-09  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.texi (Complete, Macros, Options): Document the new style
	AM_INIT_AUTOMAKE.  Remove AM_AUTOMAKE_OPTIONS documentaion.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Get PACKAGE and VERSION from
	AC_INIT if they are available there.  Support a	new call form
	where the only argument is an optional space-separated list of
	Automake options.
	* m4/options.m4 (AM_AUTOMAKE_OPTIONS): Remove.
	(_AM_MANGLE_OPTION, _AM_SET_OPTION, _AM_SET_OPTIONS,
	_AM_IF_OPTION): New functions.
	* automake.in (AC_INIT_PATTERN): New variable.
	(global_options_line): Remove, use $seen_init_automake instead.
	(scan_one_autoconf_file, scan_autoconf_traces): Set $package_version
	from AC_INIT if available.  Support the new style AM_INIT_AUTOMAKE.
	Remove the AM_AUTOMAKE_OPTIONS handling.
	* configure.in: Modernize.
	* tests/defs (configure.in): Modernize.  One third of the tests
	still overwrite the default configure.in and use an old
	AM_INIT_AUTOMAKE call, 	so that makes testing for both.
	* tests/nodefine.test, tests/nodefine2.test: New files.
	* tests/Makefile.am (TESTS): Add them.

2002-01-08  Raja R Harinath  <harinath@cs.umn.edu>

	* automake.in (define_configure_variable): Propagate line numbers.

2002-01-08  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* m4/python.m4 (_AM_PYTHON_INTERPRETER_LIST): Add python2.2.

2002-01-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in: Run the Autoconf test in a subdirectory, then
	erase this directory.

2002-01-07  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* configure.in (AUTOMAKE): Create m4/amversion.m4.
	* m4/amversion.in: New file.
	* m4/Makefile.am (m4data_DATA, EXTRA_DIST): Replace by ...
	(dist_m4data_DATA): ... this.
	(nodist_m4data_DATA, DISTCLEANFILES): Add amversion.m4.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Require
	AM_SET_CURRENT_AUTOMAKE_VERSION.
	* automake.in (seen_automake_version): New variable.
	(scan_autoconf_traces, scan_one_autoconf_file,
	scan_autoconf_files): Scan for AM_AUTOMAKE_VERSION and complain
	when the version used in aclocal.m4 differs from Automake's.
	* tests/defs (ACLOCAL): Look in ../m4 too.
	* tests/installsh.test (ACLOCAL): Likewise.
	* tests/installdir.test (installdirs-local): Run $ACLOCAL.

2002-01-06  Raja R Harinath  <harinath@cs.umn.edu>

	* automake.in (handle_languages): Emit an automake
        internal variable 'am__depfiles_maybe'.
	* lib/am/configure.am (%MAKEFILE%): Use am__depfiles_maybe.

	* lib/am/configure.am (%MAKEFILE%): Pass `depfiles' to
	config.status.

2002-01-06  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Tags): Document new variables.
	* lib/am/tags.am (ETAGS): New macro.
	(ETAGSFLAGS): Likewise.
	(TAGS): Use them.

2002-01-04  Tom Tromey  <tromey@redhat.com>

	* configure.in (ACLOCAL): Set perllibdir.  From Nicolas Joly.

2002-01-04  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* automake.in (read_am_file): Thinko in "comment following
	trailing backslash" detection.
	* tests/comment5.test: Test for this too.

2002-01-02  Tom Tromey  <tromey@redhat.com>

	* automake.texi (Extending): Added index for uninstall-hook.

2002-01-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/278:
	* m4/python.m4 (AM_PYTHON_CHECK_VERSION): Use `sys.hexversion' to cope
	with versions such as '2.2c1'.  Also, use `int' instead of the
	obsoleted `string.atoi'.
	Reported by Enrico Scholz.

2002-01-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	Fix for PR automake/280:
	* automake.in (read_am_file): Warn about trailing backslashes
	in comments.
	* tests/comment5.test: New file.
	* tests/Makefile.am (TESTS): Add comment5.test.
	Reported by Enrico Scholz.

2002-01-02  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* tests/comment4.test: New file.
	* tests/Makefile.am (TESTS): Add comment4.test.

	Fix for comment4.test:
	* automake.in (read_am_file): Output leading comments only when
	encountering white lines.

2002-01-01  Tom Tromey  <tromey@redhat.com>

	For PR automake/234:
	* tests/Makefile.am (TESTS): Added strip.test.
	* tests/strip.test: New file.

	* automake.texi (Extending): Mention uninstall-hook.
	(Install): Likewise.
	* automake.in (handle_factored_dependencies): Allow
	uninstall-hook.

2002-01-01  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* lib/am/install.am (install-strip): Set INSTALL_STRIP_FLAG=-s,
	it is needed by install-%DIR%LTLIBRARIES in ltlib.am.
	This fixes a bug introduced on 2001-01-28.
	Reported by Jared Davis.

-----

Copyright (C) 2002, 2003  Free Software Foundation, Inc.

This file is part of GNU Automake.

GNU Automake is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Automake is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with autoconf; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
